<?php
// Copyright (C) 2010-2012 Combodo SARL
//
//   This file is part of TeemIp.
//
//   TeemIp is free software; you can redistribute it and/or modify	
//   it under the terms of the GNU Affero General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   TeemIp is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU Affero General Public License for more details.
//
//   You should have received a copy of the GNU Affero General Public License
//   along with TeemIp. If not, see <http://www.gnu.org/licenses/>

/**
 * @copyright   Copyright (C) 2010-2012 Combodo SARL
 * @license     http://opensource.org/licenses/AGPL-3.0
 */

//////////////////////////////////////////////////////////////////////
// Classes in 'Teemip-ip-Mgmt Module'
//////////////////////////////////////////////////////////////////////
//

//
// Class: lnkContactToIPv4Object
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:lnkContactToIPv4Object' => 'Contact / IPv4 Object',
	'Class:lnkContactToIPv4Object+' => '',
	'Class:lnkContactToIPv4Object/Attribute:ipv4object_id' => 'IPv4 Object',
	'Class:lnkContactToIPv4Object/Attribute:ipv4object_id+' => '',
	'Class:lnkContactToIPv4Object/Attribute:contact_id' => 'Contact',
	'Class:lnkContactToIPv4Object/Attribute:contact_id+' => '',
));

//
// Class: lnkDocToIPv4Object
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:lnkDocToIPv4Object' => 'Document / IPv4 Object',
	'Class:lnkDocToIPv4Object+' => '',
	'Class:lnkDocToIPv4Object/Attribute:ipv4object_id' => 'IPv4 Object',
	'Class:lnkDocToIPv4Object/Attribute:ipv4object_id+' => '',
	'Class:lnkDocToIPv4Object/Attribute:document_id' => 'Document',
	'Class:lnkDocToIPv4Object/Attribute:document_id+' => '',
));

//
// Class: IPv4Object
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Object' => 'IPv4 Object',
	'Class:IPv4Object+' => '',
	'Class:IPv4Object/Attribute:rip' => 'Raw IP',
	'Class:IPv4Object/Attribute:rip+' => '',
	'Class:IPv4Object/Attribute:org_id' => 'Organization',
	'Class:IPv4Object/Attribute:org_id+' => '',
	'Class:IPv4Object/Attribute:status' => 'Status',
	'Class:IPv4Object/Attribute:status+' => '',
	'Class:IPv4Object/Attribute:status/Value:reserved' => 'Reserved',
	'Class:IPv4Object/Attribute:status/Value:reserved+' => '',
	'Class:IPv4Object/Attribute:status/Value:allocated' => 'Allocated',
	'Class:IPv4Object/Attribute:status/Value:allocated+' => '',
	'Class:IPv4Object/Attribute:status/Value:released' => 'Released',
	'Class:IPv4Object/Attribute:status/Value:released+' => '',
	'Class:IPv4Object/Attribute:comment' => 'Note',
	'Class:IPv4Object/Attribute:comment+' => '',
	'Class:IPv4Object/Attribute:requestor_id' => 'Requestor',
	'Class:IPv4Object/Attribute:requestor_id+' => '',
));

//
// Class extensions for IPv4Object
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Object/Tab:contact_list' => 'Contacts',
	'Class:IPv4Object/Tab:contact_list+' => 'Contacts attached to the IP object',
	'Class:IPv4Object/Tab:document_list' => 'Documents',
	'Class:IPv4Object/Tab:document_list+' => 'Documents attached to the IP object',
));

//
// Class: IPv4Config
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Config' => 'Global Setting',
	'Class:IPv4Config+' => '',
	'Class:IPv4Config:baseinfo' => 'General Information',
	'Class:IPv4Config:blockinfo' => 'Default Settings for Subnet Blocks',
	'Class:IPv4Config:subnetinfo' => 'Default Settings for Subnets',
	'Class:IPv4Config:iprangeinfo' => 'Default Settings for IP Ranges',
	'Class:IPv4Config:ipinfo' => 'Default Settings for IPs',
	'Class:IPv4Config/Attribute:org_id' => 'Owner Organization',
	'Class:IPv4Config/Attribute:org_id+' => '',
	'Class:IPv4Config/Attribute:name' => 'Name',
	'Class:IPv4Config/Attribute:name+' => '',
	'Class:IPv4Config/Attribute:requestor_id' => 'Requestor',
	'Class:IPv4Config/Attribute:requestor_id+' => '',
	'Class:IPv4Config/Attribute:block_min_size' => 'Minimum size of Subnet Blocks',
	'Class:IPv4Config/Attribute:block_min_size+' => '',
	'Class:IPv4Config/Attribute:block_cidr_aligned' => 'Align Subnet Blocks to CIDR',
	'Class:IPv4Config/Attribute:block_cidr_aligned+' => '',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_no' => 'No',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_no+' => '',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_yes' => 'Yes',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_yes+' => '',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs' => 'Reserve Subnet and Broadcast IPs at Subnet Creation',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs+' => '',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_no' => 'No',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_no+' => '',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_yes' => 'Yes',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_yes+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway' => 'Subnet Gateway is...',
	'Class:IPv4Config/Attribute:subnet_gateway+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:undefined' => 'Undefined',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:undefined+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_ip_plus_one' => 'Subnet IP + 1',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_ip_plus_one+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_broadcast_minus_one' => 'Subnet broadcast - 1',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_broadcast_minus_one+' => '',
	'Class:IPv4Config/Attribute:subnet_low_watermark' => 'Subnet Low Water Mark (%)',
	'Class:IPv4Config/Attribute:subnet_low_watermark+' => '',
	'Class:IPv4Config/Attribute:subnet_high_watermark' => 'Subnet High Water Mark (%)',
	'Class:IPv4Config/Attribute:subnet_high_watermark+' => '',
	'Class:IPv4Config/Attribute:iprange_low_watermark' => 'IP Range Low Water Mark (%)',
	'Class:IPv4Config/Attribute:iprange_low_watermark+' => '',
	'Class:IPv4Config/Attribute:iprange_high_watermark' => 'IP Range High Water Mark (%)',
	'Class:IPv4Config/Attribute:iprange_high_watermark+' => '',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name' => 'Allow Duplicate Names',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name+' => '',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_no' => 'No',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_no+' => '',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_yes' => 'Yes',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_yes+' => '',
	'Class:IPv4Config/Attribute:mac_address_format' => 'MAC Address Output Format',
	'Class:IPv4Config/Attribute:mac_address_format+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:colons' => '01:23:45:67:89:ab',
	'Class:IPv4Config/Attribute:mac_address_format/Value:colons+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:hyphens' => '01-23-45-67-89-ab',
	'Class:IPv4Config/Attribute:mac_address_format/Value:hyphens+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:dots' => '0123.4567.89ab',
	'Class:IPv4Config/Attribute:mac_address_format/Value:dots+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:any' => 'Any',
	'Class:IPv4Config/Attribute:mac_address_format/Value:any+' => '',                                 
	'Class:IPv4Config/Attribute:ping_before_assign' => 'Ping IP before assigning it ?',
	'Class:IPv4Config/Attribute:ping_before_assign+' => '',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_no' => 'No',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_no+' => '',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_yes' => 'Yes',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_yes+' => '',
	'Class:IPv4Config/Attribute:ping_server_id' => 'Server where to run Ping Command',
	'Class:IPv4Config/Attribute:ping_server_id+' => '',
));

//
// Class: lnkBlockToLocation
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:lnkIPv4BlockToLocation' => 'Block / Location',
	'Class:lnkIPv4BlockToLocation+' => '',
	'Class:lnkIPv4BlockToLocation/Attribute:block_id' => 'Block',
	'Class:lnkIPv4BlockToLocation/Attribute:block_id+' => '',
	'Class:lnkIPv4BlockToLocation/Attribute:location_id' => 'Location',
	'Class:lnkIPv4BlockToLocation/Attribute:location_id+' => '',
));

//
// Class: IPv4Block
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Block' => 'Subnet Block',
	'Class:IPv4Block+' => '',
	'Class:IPv4Block/Attribute:name' => 'Name',
	'Class:IPv4Block/Attribute:name+' => '',
	'Class:IPv4Block/Attribute:parent_id' => 'Parent',
	'Class:IPv4Block/Attribute:parent_id+' => '',
	'Class:IPv4Block/Attribute:firstip' => 'First IP',
	'Class:IPv4Block/Attribute:firstip+' => 'First IP Address of Subnet Block',
	'Class:IPv4Block/Attribute:lastip' => 'Last IP',
	'Class:IPv4Block/Attribute:lastip+' => 'Last IP Address of Subnet Block',
	'Class:IPv4Block/Attribute:type' => 'Type',
	'Class:IPv4Block/Attribute:type+' => 'Type of Subnet Block',
	'Class:IPv4Block/Attribute:org_id' => 'Owner Organization',
	'Class:IPv4Block/Attribute:org_id+' => '',
	'Class:IPv4Block/Attribute:comment' => 'Note',
	'Class:IPv4Block/Attribute:comment+' => '',
	'Class:IPv4Block/Attribute:location_list' => 'Location',
	'Class:IPv4Block/Attribute:location_list+' => 'Locations where the Subnet Block expands',
	'Class:IPv4Block/Attribute:contact_list' => 'Contacts',
	'Class:IPv4Block/Attribute:contact_list+' => 'Contacts attached to the block',
	'Class:IPv4Block/Attribute:document_list' => 'Documents',
	'Class:IPv4Block/Attribute:document_list+' => 'Documents attached to the block',
	'Class:IPv4Block/Attribute:requestor_id' => 'Requestor',
	'Class:IPv4Block/Attribute:requestor_id+' => '',
	'Class:IPv4Block/Attribute:occupancy' => 'Space Used',
	'Class:IPv4Block/Attribute:occupancy+' => '',
	'Class:IPv4Block/Attribute:children_occupancy' => 'Space Used by Children',
	'Class:IPv4Block/Attribute:children_occupancy+' => '',
	'Class:IPv4Block/Attribute:subnet_occupancy' => 'Space Used by Subnets',
	'Class:IPv4Block/Attribute:subnet_occupancy+' => '',
));

//
// Class extensions for IPv4Block
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Block/Tab:globalparam' => 'Global Settings',
	'Class:IPv4Block/Tab:childblock' => 'Child Blocks (%1$s)',
	'Class:IPv4Block/Tab:childblock+' => 'Blocks attached to this block',
	'Class:IPv4Block/Tab:childblock-count' => 'Child Blocks : %1$s',
	'Class:IPv4Block/Tab:childblock-count-percent' => ' space used by Child Blocks.',
	'Class:IPv4Block/Tab:childblock-count-percent-remain' => 'Space used by Child Blocks in remaining space: %1$.1f %%',
	'Class:IPv4Block/Tab:subnet' => 'Subnets (%1$s)',
	'Class:IPv4Block/Tab:subnet+' => 'Subnets attached to this block',
	'Class:IPv4Block/Tab:subnet-count' => 'Subnets : %1$s',
	'Class:IPv4Block/Tab:subnet-count-percent' => ' space used by Subnets',
	'Class:IPv4Block/Tab:subnet-count-percent-remain' => 'Space used by Subnets in remaining space : %1$.1f %%',
));

//
// Class: lnkIPv4SubnetToLocation
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:lnkIPv4SubnetToLocation' => 'Subnet Block / Location',
	'Class:lnkIPv4SubnetToLocation+' => '',
	'Class:lnkIPv4SubnetToLocation/Attribute:subnet_id' => 'Subnet',
	'Class:lnkIPv4SubnetToLocation/Attribute:subnet_id+' => '',
	'Class:lnkIPv4SubnetToLocation/Attribute:location_id' => 'Location',
	'Class:lnkIPv4SubnetToLocation/Attribute:location_id+' => '',
));

//
// Class: IPv4Subnet
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Subnet' => 'Subnet',
	'Class:IPv4Subnet+' => '',
	'Class:IPv4Subnet/Attribute:block_id' => 'Subnet Block',
	'Class:IPv4Subnet/Attribute:block_id+' => '',
	'Class:IPv4Subnet/Attribute:rip' => 'Raw subnet IP',
	'Class:IPv4Subnet/Attribute:rip+' => '',
	'Class:IPv4Subnet/Attribute:ip' => 'Subnet IP',
	'Class:IPv4Subnet/Attribute:ip+' => '',
	'Class:IPv4Subnet/Attribute:mask' => 'Mask',
	'Class:IPv4Subnet/Attribute:mask+' => '',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.0.0' => '255.255.0.0 - /16',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.128.0' => '255.255.128.0 - /17',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.192.0' => '255.255.192.0 - /18',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.224.0' => '255.255.224.0 - /19',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.240.0' => '255.255.240.0 - /20',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.248.0' => '255.255.248.0 - /21',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.252.0' => '255.255.252.0 - /22',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.254.0' => '255.255.254.0 - /23',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.0' => '255.255.255.0 - /24',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.128' => '255.255.255.128 - /25',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.192' => '255.255.255.192 - /26',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.224' => '255.255.255.224 - /27',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.240' => '255.255.255.240 - /28',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.248' => '255.255.255.248 - /29',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.252' => '255.255.255.252 - /30',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.254' => '255.255.255.254 - /31',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.0.0' => '/16',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.128.0' => '/17',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.192.0' => '/18',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.224.0' => '/19',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.240.0' => '/20',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.248.0' => '/21',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.252.0' => '/22',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.254.0' => '/23',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.0' => '/24',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.128' => '/25',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.192' => '/26',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.224' => '/27',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.240' => '/28',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.248' => '/29',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.252' => '/30',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.254' => '/31',
	'Class:IPv4Subnet/Attribute:status' => 'Status',
	'Class:IPv4Subnet/Attribute:status+' => '',
	'Class:IPv4Subnet/Attribute:status/Value:reserved' => 'Reserved',
	'Class:IPv4Subnet/Attribute:status/Value:reserved+' => '',
	'Class:IPv4Subnet/Attribute:status/Value:allocated' => 'Allocated',
	'Class:IPv4Subnet/Attribute:status/Value:allocated+' => '',
	'Class:IPv4Subnet/Attribute:status/Value:released' => 'Released',
	'Class:IPv4Subnet/Attribute:status/Value:released+' => '',
	'Class:IPv4Subnet/Attribute:org_id' => 'Owner Organization',
	'Class:IPv4Subnet/Attribute:org_id+' => '',
	'Class:IPv4Subnet/Attribute:name' => 'Name',
	'Class:IPv4Subnet/Attribute:name+' => '',
	'Class:IPv4Subnet/Attribute:type' => 'Type',
	'Class:IPv4Subnet/Attribute:type+' => '',
	'Class:IPv4Subnet/Attribute:comment' => 'Note',
	'Class:IPv4Subnet/Attribute:comment+' => '',
	'Class:IPv4Subnet/Attribute:location_list' => 'Location',
	'Class:IPv4Subnet/Attribute:location_list+' => 'Locations where the Subnet expands',
	'Class:IPv4Subnet/Attribute:contact_list' => 'Contacts',
	'Class:IPv4Subnet/Attribute:contact_list+' => 'Contacts attached to the subnet',
	'Class:IPv4Subnet/Attribute:document_list' => 'Documents',
	'Class:IPv4Subnet/Attribute:document_list+' => 'Documents attached to the subnet',
	'Class:IPv4Subnet/Attribute:requestor_id' => 'Requestor',
	'Class:IPv4Subnet/Attribute:requestor_id+' => '',
	'Class:IPv4Subnet/Attribute:release_date' => 'Release date',
	'Class:IPv4Subnet/Attribute:release_date+' => 'Date when subnet has been released and is not used anymore.',
	'Class:IPv4Subnet/Attribute:ip_occupancy' => 'Registered IPs',
	'Class:IPv4Subnet/Attribute:ip_occupancy+' => '',
	'Class:IPv4Subnet/Attribute:range_occupancy' => 'Registered Ranges',
	'Class:IPv4Subnet/Attribute:range_occupancy+' => '',                         
	'Class:IPv4Subnet/Attribute:alarm_water_mark' => 'Status of water mark alarm',
	'Class:IPv4Subnet/Attribute:alarm_water_mark+' => '',                              
	'Class:IPv4Subnet/Attribute:alarm_water_mark/Value:no_alarm' => 'No alarm has been sent yet',
	'Class:IPv4Subnet/Attribute:alarm_water_mark/Value:low_sent' => 'Low water mark alarm has been sent',
	'Class:IPv4Subnet/Attribute:alarm_water_mark/Value:high_sent' => 'High water mark alarm has been sent',
));

//
// Class extensions for IPv4Subnet
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Subnet/Tab:globalparam' => 'Global Settings',
	'Class:IPv4Subnet/Tab:ipregistered' => 'Registered IPs (%1$s)',
	'Class:IPv4Subnet/Tab:ipregistered+' => 'IPs registered in the Subnet',
	'Class:IPv4Subnet/Tab:ipregistered-count' => ' - %1$s Reserved and %2$s Allocated out of %3$s',
	'Class:IPv4Subnet/Tab:ipfree-explain' => 'List of first %1$s free IP addresses:',
	'Class:IPv4Subnet/Tab:ipfree-explainbis' => 'List of ALL free IP addresses:',
	'Class:IPv4Subnet/Tab:iprange' => 'IP Ranges (%1$s)',
	'Class:IPv4Subnet/Tab:iprange+' => 'IP Ranges part of the subnet',
	'Class:IPv4Subnet/Tab:iprange-count-percent' => ' space used by IP Ranges.',
	'Class:IPv4Subnet/Tab:notifications' => 'Notifications (%1$s)',
	'Class:IPv4Subnet/Tab:notifications+' => 'Notifications related to this subnet',
	'Class:IPv4Subnet/Tab:requests' => 'IP Requests (%1$s)',
	'Class:IPv4Subnet/Tab:requests+' => 'IP Requests related to this subnet',
	'Class:IPv4Subnet/Tab:changes' => 'IP Changes(%1$s)',
	'Class:IPv4Subnet/Tab:changes+' => 'IP Changes related to this subnet',
));

//
// Class: IPv4Range
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Range' => 'IP Range',
	'Class:IPv4Range+' => '',
	'Class:IPv4Range/Attribute:range' => 'Name',
	'Class:IPv4Range/Attribute:range+' => '',
	'Class:IPv4Range/Attribute:subnet_id' => 'Subnet',
	'Class:IPv4Range/Attribute:subnet_id+' => '',
	'Class:IPv4Range/Attribute:firstip' => 'First IP of Range',
	'Class:IPv4Range/Attribute:firstip+' => '',
	'Class:IPv4Range/Attribute:lastip' => 'Last IP of Range',
	'Class:IPv4Range/Attribute:lastip+' => '',
	'Class:IPv4Range/Attribute:usage' => 'Usage',
	'Class:IPv4Range/Attribute:usage+' => 'Usage being made of the range',
	'Class:IPv4Range/Attribute:usage/Value:mixed' => 'Mixed',
	'Class:IPv4Range/Attribute:usage+/Value:mixed+' => 'Mixed',
	'Class:IPv4Range/Attribute:usage/Value:network_equipts' => 'Network Equipment',
	'Class:IPv4Range/Attribute:usage+/Value:network_equipts+' => 'Network Equipment',
	'Class:IPv4Range/Attribute:usage/Value:printers' => 'Printers',
	'Class:IPv4Range/Attribute:usage+/Value:printers+' => 'Printers',
	'Class:IPv4Range/Attribute:usage/Value:consoles' => 'Consoles',
	'Class:IPv4Range/Attribute:usage+/Value:consoles+' => 'Consoles',
	'Class:IPv4Range/Attribute:usage/Value:servers' => 'Servers',
	'Class:IPv4Range/Attribute:usage+/Value:servers+' => 'Servers',
	'Class:IPv4Range/Attribute:usage/Value:users' => 'User PCs',
	'Class:IPv4Range/Attribute:usage+/Value:users+' => 'User PCs and workstations',
	'Class:IPv4Range/Attribute:dhcp' => 'DHCP Range',
	'Class:IPv4Range/Attribute:dhcp+' => '',
	'Class:IPv4Range/Attribute:org_id' => 'Owner Organization',
	'Class:IPv4Range/Attribute:org_id+' => '',
	'Class:IPv4Range/Attribute:comment' => 'Note',
	'Class:IPv4Range/Attribute:comment+' => '',
	'Class:IPv4Range/Attribute:contact_list' => 'Contacts',
	'Class:IPv4Range/Attribute:contact_list+' => 'Contacts attached to the range',
	'Class:IPv4Range/Attribute:document_list' => 'Documents',
	'Class:IPv4Range/Attribute:document_list+' => 'Documents attached to the range',
	'Class:IPv4Range/Attribute:requestor_id' => 'Requestor',
	'Class:IPv4Range/Attribute:requestor_id+' => '',
	'Class:IPv4Range/Attribute:occupancy' => 'Registered IPs',
	'Class:IPv4Range/Attribute:occupancy+' => '',
));

//
// Class extensions for IPv4Range
//                                                       

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Range/Tab:ipregistered' => 'Registered IPs (%1$s)',
	'Class:IPv4Range/Tab:ipregistered+' => 'IPs registered within the IP Range',
	'Class:IPv4Range/Tab:ipregistered-count' => ' - %1$s Reserved and %2$s Allocated out of %3$s',
	'Class:IPv4Range/Tab:ipfree-explain' => 'List of first %1$s free IP addresses:',
	'Class:IPv4Range/Tab:ipfree-explainbis' => 'List of ALL free IP addresses:',
	'Class:IPv4Range/Tab:notifications' => 'Notifications (%1$s)',
	'Class:IPv4Range/Tab:notifications+' => 'Notifications related to this IP range',
));

//
// Class: lnkIPv4AdressToIPv4Address
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:lnkIPv4AdressToIPv4Address' => 'IP / NAT IPs',
	'Class:lnkIPv4AdressToIPv4Address+' => '',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_id' => 'IPv4 Address',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_id+' => '',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_id' => 'NAT IP',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_id+' => '',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_short_name' => 'Short Name',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_short_name+' => 'Left label of the FQDN',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_domain_name' => 'Domain Name',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_domain_name+' => 'Name of the DNS domain',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_short_name' => 'Short Name',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_short_name+' => 'Left label of the FQDN',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_domain_name' => 'Domain Name',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_domain_name+' => 'Name of the DNS domain',
));

//
// Class: IPv4UsageType
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Usage' => 'IP Address Usages',
	'Class:IPv4Usage+' => 'What an IP address is used for',
	'Class:IPv4Usage/Attribute:org_id' => 'Owner Organization',
	'Class:IPv4Usage/Attribute:org_id+' => '',
	'Class:IPv4Usage/Attribute:name' => 'Name',
	'Class:IPv4Usage/Attribute:name+' => '',
	'Class:IPv4Usage/Attribute:description' => 'Description',
	'Class:IPv4Usage/Attribute:description+' => '',
));

//
// Class: IPv4Address
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Address' => 'IP Address',
	'Class:IPv4Address+' => '',
	'Class:IPv4Address/Attribute:rip' => 'Raw IP Address',
	'Class:IPv4Address/Attribute:rip+' => 'Raw IPv4 Address',
	'Class:IPv4Address/Attribute:ip' => 'Address',
	'Class:IPv4Address/Attribute:ip+' => 'IPv4 Address',
	'Class:IPv4Address/Attribute:subnet_id' => 'Subnet',
	'Class:IPv4Address/Attribute:subnet_id+' => '',
	'Class:IPv4Address/Attribute:status' => 'Status',
	'Class:IPv4Address/Attribute:status+' => '',
	'Class:IPv4Address/Attribute:status/Value:reserved' => 'Reserved',
	'Class:IPv4Address/Attribute:status/Value:reserved+' => '',
	'Class:IPv4Address/Attribute:status/Value:allocated' => 'Allocated',
	'Class:IPv4Address/Attribute:status/Value:allocated+' => '',
	'Class:IPv4Address/Attribute:status/Value:released' => 'Released',
	'Class:IPv4Address/Attribute:status/Value:released+' => '',
	//'Class:IPv4Address/Attribute:in_dns' => 'IP in DNS',
	//'Class:IPv4Address/Attribute:in_dns+' => 'Add IP in associated DNS forward and reverse zones',
	'Class:IPv4Address/Attribute:org_id' => 'Owner Organization',
	'Class:IPv4Address/Attribute:org_id+' => '',
	'Class:IPv4Address/Attribute:short_name' => 'Short Name',
	'Class:IPv4Address/Attribute:short_name+' => 'Left label of the FQDN',
	'Class:IPv4Address/Attribute:domain_name' => 'Domain Name',
	'Class:IPv4Address/Attribute:domain_name+' => 'Name of the DNS domain',
	'Class:IPv4Address/Attribute:usage_id' => 'Usage',
	'Class:IPv4Address/Attribute:usage_id+' => '',
	'Class:IPv4Address/Attribute:ipinterface_id' => 'IP Interface',
	'Class:IPv4Address/Attribute:ipinterface_id+' => '',
	'Class:IPv4Address/Attribute:net_interface_id' => 'Network Interface',
	'Class:IPv4Address/Attribute:net_interface_id+' => '',
	'Class:IPv4Address/Attribute:connectableci_id' => 'Connectable CI',      
	'Class:IPv4Address/Attribute:connectableci_id+' => '',
	'Class:IPv4Address/Attribute:mac_address' => 'MAC Address',
	'Class:IPv4Address/Attribute:mac_address+' => '',
	'Class:IPv4Address/Attribute:comment' => 'Note',
	'Class:IPv4Address/Attribute:comment+' => '',
	'Class:IPv4Address/Attribute:requestor_id' => 'Requestor',
	'Class:IPv4Address/Attribute:requestor_id+' => '',
	'Class:IPv4Address/Attribute:release_date' => 'Release date',
	'Class:IPv4Address/Attribute:release_date+' => 'Date when IP address has been released and is not used anymore.',
	'Class:IPv4Address/Attribute:ip_list' => 'NAT IPs',
));

//
// Class extensions for IPv4Address
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Address/Tab:globalparam' => 'Global Settings',
	'Class:IPv4Address/Tab:parents' => 'Parents',
	'Class:IPv4Address/Tab:ip_list' => 'NAT IPs (%1$s)',
	'Class:IPv4Address/Tab:ip_list+' => 'List of NAT IPs',
	'Class:IPv4Address/Tab:requests' => 'IP Requests(%1$s)',
	'Class:IPv4Address/Tab:requests+' => 'IP requests related to this IP address',
	'Class:IPv4Address/Tab:changes' => 'IP Changes(%1$s)',
	'Class:IPv4Address/Tab:changes+' => 'IP Changes related to this IP address',
));

//
// Class: IPTriggerOnWaterMark
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPTriggerOnWaterMark' => 'Trigger when reaching an IP related water mark',
	'Class:IPTriggerOnWaterMark+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:org_id' => 'Using Organization',
	'Class:IPTriggerOnWaterMark/Attribute:org_id+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:target_class' => 'Target Class',
	'Class:IPTriggerOnWaterMark/Attribute:target_class+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:event' => 'Event',
	'Class:IPTriggerOnWaterMark/Attribute:event+' => 'Event generated when trigger is activated',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_low' => 'Low water mark is crossed',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_low+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_high' => 'High water mark is crossed',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_high+' => '',
));

//
// Class: IPObjTemplate
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPObjTemplate' => 'Template IP',
	'Class:IPObjTemplate+' => '',
	'Class:IPObjTemplate/Attribute:servicesubcategory_id' => 'Subcategory Service',
	'Class:IPObjTemplate/Attribute:servicesubcategory_id+' => '',
	'Class:IPObjTemplate/Attribute:request_type' => 'Request Type',
	'Class:IPObjTemplate/Attribute:request_type+' => '',
	'Class:IPObjTemplate/Attribute:request_type/Value:ip_create' => 'IP Creation',
	'Class:IPObjTemplate/Attribute:request_type/Value:ip_change' => 'IP Change',
	'Class:IPObjTemplate/Attribute:request_type/Value:ip_delete' => 'IP Deletion',
	'Class:IPObjTemplate/Attribute:request_type/Value:subnet_create' => 'Subnet Creation',
	'Class:IPObjTemplate/Attribute:request_type/Value:subnet_change' => 'Subnet Change',
	'Class:IPObjTemplate/Attribute:request_type/Value:subnet_delete' => 'Subnet Deletion',
));

//
// Application Menu
//

Dict::Add('EN US', 'English', 'English', array(
	'Menu:IPManagement' => 'IP Management',
	'Menu:IPManagement+' => '',
	'Menu:IPManagement:IPv4Objects' => 'IPv4 Objects',
	'Menu:IPManagement:IPv4Options' => 'IPv4 Options',
	'Menu:IPManagement:IPChange' => 'IP Changes',
	'Menu:IPManagement:IPChange+' => '',
	'Menu:IPManagement:IPv4Objects' => 'IPv4 Objects',
	'Menu:IPManagement:IPv4Objects+' => '',
	'Menu:IPManagement:IPv4Space' => 'IPv4 Space',
	'Menu:IPManagement:IPv4Space+' => '',
	'Menu:IPManagement:Ipv4ShortCut' => 'IPv4 Shortcuts',
	'Menu:IPManagement:Ipv4ShortCut+' => '',  
	'Menu:IPManagement:Options' => 'IPv4 Options',
	'Menu:IPManagement:Options+' => '',  
	'Menu:IPManagement:Overview:Total' => 'Total: %1s',  
	'Menu:IPv4Config' => 'Global Settings',
	'Menu:IPv4Config+' => 'IPv4 Global Settings',
	'Menu:NewIPv4Object' => 'New IP object',
	'Menu:NewIPv4Object+' => 'Creation of a new IPv4 object',
	'Menu:SearchIPv4Object' => 'Search for IP object',
	'Menu:SearchIPv4Object+' => 'Search for an IPv4 object',
	'Menu:IPv4Block' => 'Subnet Blocks',
	'Menu:IPv4Block+' => 'IPv4 Subnet Blocks',
	'Menu:IPv4Subnet' => 'Subnets',
	'Menu:IPv4Subnet+' => 'IPv4 Subnets',
	'Menu:IPv4Subnet:Allocated' => 'Allocated Subnets',
	'Menu:IPv4Subnet:Allocated+' => 'List of allocated IPv4 Subnets',
	'Menu:IPv4Range' => 'IP Ranges',
	'Menu:IPv4Range+' => 'IPv4 Ranges',
	'Menu:IPv4Usage' => 'IP Types',
	'Menu:IPv4Usage+' => 'IPv4 Usage Types',
	'Menu:IPv4Address' => 'IP Addresses',
	'Menu:IPv4Address+' => 'IPv4 Addresses',
	'Menu:IPv4Template' => 'IP Templates',
	'Menu:IPv4Template+' => 'IPv4 Templates',
	
	'UI:IPMgmtWelcomeOverview:Title' => 'My Dashboard',
	
	// Menu separator in Action menus
	'UI:IPManagement:Action:MenuSeparator' => '<hr class="menu-separator"/>',	

//
// Management of IPv4 global settings
//
	'UI:IPManagement:Action:New:IPv4Config:AlreadyExists' => 'Only one Global Settings object can exist within an organization.',	
	'UI:IPManagement:Action:Modify:IPv4Config:MinSizeTooSmall' => 'Minimum size of Subnet Blocks cannot be smaller than %1$s!',
	'UI:IPManagement:Action:Modify:IPv4Config:WaterMarksPercent' => 'Water Marks are percentage, please, use numbers between 0 and 100!',
	'UI:IPManagement:Action:Modify:IPv4Config:WaterMarksOrder' => 'Low Water Mark must be smaller than High one!',	

//
// Management of Subnet Blocks
//
	// Creation Management	
	'UI:IPManagement:Action:New:IPv4Block:Reverted' => 'First IP of Subnet Block is higher than last IP!',
	'UI:IPManagement:Action:New:IPv4Block:SmallerThanMinSize' => 'Block size cannot be smaller than %1$s!',	
	'UI:IPManagement:Action:New:IPv4Block:NotCIDRAligned' => 'Block is not CIDR aligned!',	
	'UI:IPManagement:Action:New:IPv4Block:NotInParent' => 'Subnet Block is not strictly contained within selected parent!',	
	'UI:IPManagement:Action:New:IPv4Block:NameExist' => 'Name of Subnet Block already exists!',	
	'UI:IPManagement:Action:New:IPv4Block:Collision0' => 'Subnet Block already exists!',	
	'UI:IPManagement:Action:New:IPv4Block:Collision1' => 'Subnet Block collision : first IP belongs to an existing block!',	
	'UI:IPManagement:Action:New:IPv4Block:Collision2' => 'Subnet Block collision : last IP belongs to an existing block!',	
	'UI:IPManagement:Action:Modify:IPv4Block:ParentIdNull' => 'Child subnets of block %1$s cannot be attached to non existant parent block.',	
	
	// Display details of subnet blocks
	'UI:IPManagement:Action:Details:IPv4Block' => 'Details',
	'UI:IPManagement:Action:Details:IPv4Block+' => '',
	
	// Display list of subnet blocks
	'UI:IPManagement:Action:DisplayList:IPv4Block' => 'Display List',
	'UI:IPManagement:Action:DisplayList:IPv4Block+' => '',
	'UI:IPManagement:Action:DisplayList:IPv4Block:PageTitle_Class' => 'IPv4 Subnet Blocks',
	'UI:IPManagement:Action:DisplayList:IPv4Block:Title_Class' => 'IPv4 Subnet Blocks',
	
	// Display tree of subnet blocks
	'UI:IPManagement:Action:DisplayTree:IPv4Block' => 'Display Tree',
	'UI:IPManagement:Action:DisplayTree:IPv4Block+' => '',
	'UI:IPManagement:Action:DisplayTree:IPv4Block:PageTitle_Class' => 'IPv4 Subnet Blocks',
	'UI:IPManagement:Action:DisplayTree:IPv4Block:Title_Class' => 'IPv4 Subnet Blocks',
	'UI:IPManagement:Action:DisplayTree:IPv4Block:OrgName' => 'Organization %1$s',
	
	// Shrink action on subnet blocks
	'UI:IPManagement:Action:Shrink:IPv4Block' => 'Shrink',
	'UI:IPManagement:Action:Shrink:IPv4Block+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Block:Summary' => 'Summary',
	'UI:IPManagement:Action:Shrink:IPv4Block:Summary+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s shrink',
	'UI:IPManagement:Action:Shrink:IPv4Block:Title_Class_Object' => 'Shrink %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Shrink:IPv4Block:NewFirstIP' => 'New First IP of Block :',
	'UI:IPManagement:Action:Shrink:IPv4Block:NewLastIP' => 'New Last IP of Block :',            
	'UI:IPManagement:Action:Shrink:IPv4Block:CannotBeShrunk' =>  'Block cannot be shrunk: %1$s',
	'UI:IPManagement:Action:Shrink:IPv4Block:Reverted' =>  'New first IP of Subnet Block is higher than new last IP!',
	'UI:IPManagement:Action:Shrink:IPv4Block:IPOutOfBlock' => 'New IPs are not all within block!',
	'UI:IPManagement:Action:Shrink:IPv4Block:NoChange' => 'No change has been required.',
	'UI:IPManagement:Action:Shrink:IPv4Block:SmallerThanMinSize' => 'Block size cannot be smaller than %1$s!',
	'UI:IPManagement:Action:Shrink:IPv4Block:NotCIDRAligned' => 'Block is not CIDR aligned!',
	'UI:IPManagement:Action:Shrink:IPv4Block:BlockAccrossBorder' => 'A child subnet block sits accros new borders!',
	'UI:IPManagement:Action:Shrink:IPv4Block:SubnetAccrossBorder' => 'A subnet attached to the block sits accros new borders!',
	'UI:IPManagement:Action:Shrink:IPv4Block:SubnetBecomesOrhpean' => 'Child subnets won\'t have parent block after shrink!',	
	'UI:IPManagement:Action:Shrink:IPv4Block:Done' => '%1$s <span class="hilite">%2$s</span> has been shrunk.',
	
	// Split action on subnet blocks
	'UI:IPManagement:Action:Split:IPv4Block' => 'Split',
	'UI:IPManagement:Action:Split:IPv4Block+' => '',
	'UI:IPManagement:Action:Split:IPv4Block:Summary' => 'Summary',
	'UI:IPManagement:Action:Split:IPv4Block:Summary+' => '',
	'UI:IPManagement:Action:Split:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s split',
	'UI:IPManagement:Action:Split:IPv4Block:Title_Class_Object' => 'Split %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Split:IPv4Block:At' => 'First IP of new Subnet Block :',
	'UI:IPManagement:Action:Split:IPv4Block:NameNewBlock' => 'Name of new Subnet Block :',
	'UI:IPManagement:Action:Split:IPv4Block:CannotBeSplit' =>  'Block cannot be split: %1$s',
	'UI:IPManagement:Action:Split:IPv4Block:IPOutOfBlock' => 'Split IP is out of block!',
	'UI:IPManagement:Action:Split:IPv4Block:SmallerThanMinSize' => 'Block size cannot be smaller than %1$s!',
	'UI:IPManagement:Action:Split:IPv4Block:NotCIDRAligned' => 'Blocks are not CIDR aligned!',	
	'UI:IPManagement:Action:Split:IPv4Block:BlockAccrossBorder' => 'A child subnet block sits accros new borders!',
	'UI:IPManagement:Action:Split:IPv4Block:SubnetAccrossBorder' => 'A subnet attached to the block sits accros new borders!',
	'UI:IPManagement:Action:Split:IPv4Block:EmptyNewName' => 'Name of new Subnet Block is empty!',
	'UI:IPManagement:Action:Split:IPv4Block:NameExist' => 'Name of new Subnet Block already exists!',
	'UI:IPManagement:Action:Split:IPv4Block:Done' => '%1$s <span class="hilite">%2$s</span> has been split.',
	
	// Expand action on subnet blocks
	'UI:IPManagement:Action:Expand:IPv4Block' => 'Expand',
	'UI:IPManagement:Action:Expand:IPv4Block+' => '',
	'UI:IPManagement:Action:Expand:IPv4Block:Summary' => 'Summary',
	'UI:IPManagement:Action:Expand:IPv4Block:Summary+' => '',
	'UI:IPManagement:Action:Expand:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s expand',
	'UI:IPManagement:Action:Expand:IPv4Block:Title_Class_Object' => 'Expand %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Expand:IPv4Block:NewFirstIP' => 'New First IP of Block :',
	'UI:IPManagement:Action:Expand:IPv4Block:NewLastIP' => 'New Last IP of Block :',
	'UI:IPManagement:Action:Expand:IPv4Block:CannotBeExpanded' =>  'Block cannot be expanded: %1$s',
	'UI:IPManagement:Action:Expand:IPv4Block:Reverted' =>  'New first IP of Subnet Block is higher than new last IP!',
	'UI:IPManagement:Action:Expand:IPv4Block:IPOutOfBlock' => 'New IPs are not all outside of block!',
	'UI:IPManagement:Action:Expand:IPv4Block:NoChange' => 'No change has been required.',
	'UI:IPManagement:Action:Expand:IPv4Block:SmallerThanMinSize' => 'Block size cannot be smaller than %1$s!',
	'UI:IPManagement:Action:Expand:IPv4Block:NotCIDRAligned' => 'Block is not CIDR aligned!',
	'UI:IPManagement:Action:Expand:IPv4Block:BlockBigerThanParent' => 'The block cannot be bigger than its parent!',
	'UI:IPManagement:Action:Expand:IPv4Block:BlockAccrossBorder' => 'A brother subnet block sits accros new borders!',
	'UI:IPManagement:Action:Expand:IPv4Block:SubnetAccrossBorder' => 'A subnet attached to parent block sits accross new borders',
	'UI:IPManagement:Action:Expand:IPv4Block:Done' => '%1$s <span class="hilite">%2$s</span> has been expanded.',

	// List space action on subnet blocks 
	'UI:IPManagement:Action:ListSpace:IPv4Block' => 'List Space',                                               
	'UI:IPManagement:Action:ListSpace:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - Space',
	'UI:IPManagement:Action:ListSpace:IPv4Block:Title_Class_Object' => 'Space within %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:ListSpace:IPv4Block:FreeSpace' => 'Free [%1$s - %2$s] - %3$s IPs - %4$.2f %%',
	
	// Find Space action on subnet blocks
	'UI:IPManagement:Action:FindSpace:IPv4Block' => 'Find Space',
	'UI:IPManagement:Action:FindSpace:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - Find space',
	'UI:IPManagement:Action:FindSpace:IPv4Block:Title_Class_Object' => 'Look for space within %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:FindSpace:IPv4Block:SizeOfSpace' => 'Size of space to look for :',
	'UI:IPManagement:Action:FindSpace:IPv4Block:MaxNumberOfOffer' => 'Maximum number of offers :',
	
	// Do find Space action on subnet blocks
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - Find space',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:Title_Class_Object' => 'Space within %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:Summary' => '%1$s first /%2$s within block',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:CreateAsBlock' => 'Create as a child block',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:CreateAsSubnet' => 'Create as a subnet',

//
// Management of Subnets
//
	// Creation Management	
	'UI:IPManagement:Action:New:IPv4Subnet:IpCannotChange' => 'Subnet IP cannot be modified! ',	
	'UI:IPManagement:Action:New:IPv4Subnet:MaskCannotChange' => 'Subnet Mask cannot be modified!',	
	'UI:IPManagement:Action:New:IPv4Subnet:IpIncorrect' => 'Subnet IP is not consistant with Mask!',	
	'UI:IPManagement:Action:New:IPv4Subnet:NotInBlock' => 'Subnet is not contained within selected block!',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision0' => 'Subnet already exists!',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision1' => 'Subnet collision : subnet IP belongs to an existing subnet!',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision2' => 'Subnet collision : broadcast IP belongs to an existing subnet!',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision3' => 'Subnet collision : new subnet includes an existing one!',	

	// Display details of subnet
	'UI:IPManagement:Action:Details:IPv4Subnet' => 'Details',
	'UI:IPManagement:Action:Details:IPv4Subnet+' => '',

	// Display list of subnets
	'UI:IPManagement:Action:DisplayList:IPv4Subnet' => 'Display List',
	'UI:IPManagement:Action:DisplayList:IPv4Subnet+' => '',
	'UI:IPManagement:Action:DisplayList:IPv4Subnet:PageTitle_Class' => 'IPv4 Subnets',
	'UI:IPManagement:Action:DisplayList:IPv4Subnet:Title_Class' => 'IPv4 Subnets',
	
	// Display tree of subnets
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet' => 'Display Tree',
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet+' => '',
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet:PageTitle_Class' => 'IPv4 Subnets',
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet:Title_Class' => 'IPv4 Subnets',
	
	// Shrink action on subnets
	'UI:IPManagement:Action:Shrink:IPv4Subnet' => 'Shrink',
	'UI:IPManagement:Action:Shrink:IPv4Subnet+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Summary' => 'Summary',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Summary+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s shrink',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Title_Class_Object' => 'Shrink %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:CannotBeShrunk' =>  'Subnet cannot be shrunk: %1$s',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:SizeTooSmall' => 'Subnet is too small to be shrunk!',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:SizeTooSmallBy' => 'Subnet is too small to be shrunk by %1$s!',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:IPRangeInTheMiddle' => 'Range: <b>%1$s [%2$s - %3$s]</b> sits across new subnet boundaries. Shrink cannot be performed!',	
	'UI:IPManagement:Action:Shrink:IPv4Subnet:IPRangeDropped' => 'Range: <b>%1$s [%2$s - %3$s]</b> will be dropped from subnet. Shrink cannot be performed!',	
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Done' => '%1$s <span class="hilite">%2$s</span> has been shrunk by %3$s.',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:By' => 'Shrink by :',
	
	// Split action on subnets
	'UI:IPManagement:Action:Split:IPv4Subnet' => 'Split',
	'UI:IPManagement:Action:Split:IPv4Subnet+' => '',
	'UI:IPManagement:Action:Split:IPv4Subnet:Summary' => 'Summary',
	'UI:IPManagement:Action:Split:IPv4Subnet:Summary+' => '',
	'UI:IPManagement:Action:Split:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s split',
	'UI:IPManagement:Action:Split:IPv4Subnet:Title_Class_Object' => 'Split %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Split:IPv4Subnet:CannotBeSplit' =>  'Subnet cannot be split: %1$s',
	'UI:IPManagement:Action:Split:IPv4Subnet:SizeTooSmall' => 'Subnet is too small to be split!',
	'UI:IPManagement:Action:Split:IPv4Subnet:SizeTooSmallBy' => 'Subnet is too small to be split by %1$s!',
	'UI:IPManagement:Action:Split:IPv4Subnet:IPRangeInTheMiddle' => 'Range: <b>%1$s [%2$s - %3$s]</b> sits across new subnet boundaries. Split cannot be performed!',	
	'UI:IPManagement:Action:Split:IPv4Subnet:Done' => '%1$s <span class="hilite">%2$s</span> has been split in %3$s.',
	'UI:IPManagement:Action:Split:IPv4Subnet:In' => 'Split in :',
	
	// Expand action on subnets
	'UI:IPManagement:Action:Expand:IPv4Subnet' => 'Expand',
	'UI:IPManagement:Action:Expand:IPv4Subnet+' => '',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Summary' => 'Summary',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Summary+' => '',
	'UI:IPManagement:Action:Expand:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s expand',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Title_Class_Object' => 'Expand %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Expand:IPv4Subnet:CannotBeExpanded' =>  'Subnet cannot be expanded: %1$s',
	'UI:IPManagement:Action:Expand:IPv4Subnet:SizeTooBig' => 'Subnet is too big to be expanded!',
	'UI:IPManagement:Action:Expand:IPv4Subnet:SizeTooBigBy' => 'Subnet is too big to be expanded by %1$s!',
	'UI:IPManagement:Action:Expand:IPv4Subnet:NotInIPBlock' => 'The block hosting the subnet is too small to contain the new expanded subnet!',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Done' => '%1$s <span class="hilite">%2$s</span> has been expanded by %3$s',
	'UI:IPManagement:Action:Expand:IPv4Subnet:By' => 'Expand by :',

	// List IPs action on subnets 
	'UI:IPManagement:Action:ListIps:IPv4Subnet' => 'List IPs',                                               
	'UI:IPManagement:Action:ListIps:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - IPs',
	'UI:IPManagement:Action:ListIps:IPv4Subnet:Title_Class_Object' => 'List of IPs within %1$s: <span class="hilite">%2$s</span>',
	
	// Find space action on subnets 
	'UI:IPManagement:Action:FindSpace:IPv4Subnet' => 'Find space',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - Find space',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:Title_Class_Object' => 'Look for IP space within %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:SizeTooSmall' => 'Subnet is too small to look for space. Please, cancel!',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:SizeOfRange' => 'Size of space to look for :',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:MaxNumberOfOffer' => 'Maximum number of offers :',
	
	// Do find Space action on subnet
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - Find space',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:Title_Class_Object' => 'Space within %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:Summary' => '%1$s first free %2$s IPs ranges within subnet',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:RangeTooBig' => 'Requested space doesn\'t fit within subnet. Please, try a lower value.',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:CreateAsRange' => 'Create as an IP range',

	// CSV Export action on subnets
	'UI:IPManagement:Action:CsvExportIps:IPv4Subnet' => 'CSV Export IPs',
	'UI:IPManagement:Action:CsvExportIps:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s CSV export IPs',
	'UI:IPManagement:Action:CsvExportIps:IPv4Subnet:Title_Class_Object' => 'CSV Export IPs of %1$s: <span class="hilite">%2$s</span>',
	
//
// Management of IP ranges
//
	// Creation Management	
	'UI:IPManagement:Action:New:IPv4Range:NameExist' => 'Name of Range already exists within subnet!',	
	'UI:IPManagement:Action:New:IPv4Range:Reverted' => 'First IP of Range is higher than last IP!',	
	'UI:IPManagement:Action:New:IPv4Range:NotInSubnet' => 'IP Range is not contained within selected subnet!',	
	'UI:IPManagement:Action:New:IPv4Range:Collision0' => 'IP Range already exists!',	
	'UI:IPManagement:Action:New:IPv4Range:Collision1' => 'Range collision : first IP belongs to an existing range!',	
	'UI:IPManagement:Action:New:IPv4Range:Collision2' => 'Range collision : last IP belongs to an existing range!',	
	'UI:IPManagement:Action:New:IPv4Range:Collision3' => 'Range collision : new range includes an existing one!',	

	// Display details of IP Range
	'UI:IPManagement:Action:Details:IPv4Range' => 'Details',
	'UI:IPManagement:Action:Details:IPv4Range+' => '',

	// List IPs action on IP Ranges 
	'UI:IPManagement:Action:ListIps:IPv4Range' => 'List IPs',                                               
	'UI:IPManagement:Action:ListIps:IPv4Range:PageTitle_Object_Class' => 'TeemIp - %1$s - IPs',
	'UI:IPManagement:Action:ListIps:IPv4Range:Title_Class_Object' => 'IPs within %1$s: <span class="hilite">%2$s</span>',
	
	// CSV Export action on IP Ranges
	'UI:IPManagement:Action:CsvExportIps:IPv4Range' => 'CSV Export of IPs',
	'UI:IPManagement:Action:CsvExportIps:IPv4Range:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s CSV export of IPs',
	'UI:IPManagement:Action:CsvExportIps:IPv4Range:Title_Class_Object' => 'CSV Export IPs of %1$s: <span class="hilite">%2$s</span>',
	
//
// Management of IPs
//
	// Creation Management	
	'UI:IPManagement:Action:Modify:IPv4Address:GlobalConfig' => 'These Global Settings may be over written for that action.',	
	'UI:IPManagement:Action:New:IPv4Address:IPCollision' => 'IP already exists!',	
	'UI:IPManagement:Action:New:IPv4Address:IPNameCollision' => 'Short name already exists within domain!',	
	'UI:IPManagement:Action:New:IPv4Address:IPPings' => 'IP pings! ',	
	'UI:IPManagement:Action:New:IPv4Address:NatIPsAretheSame' => 'IP cannot be NATed to itself! ',	
	
));

?>