<?php
// Copyright (C) 2010-2012 Combodo SARL
//
//   This file is part of TeemIp.
//
//   TeemIp is free software; you can redistribute it and/or modify	
//   it under the terms of the GNU Affero General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   TeemIp is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU Affero General Public License for more details.
//
//   You should have received a copy of the GNU Affero General Public License
//   along with TeemIp. If not, see <http://www.gnu.org/licenses/>

/**
 * @copyright   Copyright (C) 2010-2012 Combodo SARL
 * @license     http://opensource.org/licenses/AGPL-3.0
 */

//////////////////////////////////////////////////////////////////////
// Classes in 'Teemip-ip-Mgmt Module'
//////////////////////////////////////////////////////////////////////
//

//
// Class: lnkContactToIPv4Object
//

Dict::Add('FR FR', 'English', 'English', array(
	'Class:lnkContactToIPv4Object' => 'Contact / Objet IPv4',
	'Class:lnkContactToIPv4Object+' => '',
	'Class:lnkContactToIPv4Object/Attribute:ipv4object_id' => 'Objet IPv4',
	'Class:lnkContactToIPv4Object/Attribute:ipv4object_id+' => '',
	'Class:lnkContactToIPv4Object/Attribute:contact_id' => 'Contact',
	'Class:lnkContactToIPv4Object/Attribute:contact_id+' => '',
));

//
// Class: lnkDocToIPv4Object
//

Dict::Add('FR FR', 'English', 'English', array(
	'Class:lnkDocToIPv4Object' => 'Document / Objet IPv4',
	'Class:lnkDocToIPv4Object+' => '',
	'Class:lnkDocToIPv4Object/Attribute:ipv4object_id' => 'Objet IPv4',
	'Class:lnkDocToIPv4Object/Attribute:ipv4object_id+' => '',
	'Class:lnkDocToIPv4Object/Attribute:document_id' => 'Document',
	'Class:lnkDocToIPv4Object/Attribute:document_id+' => '',
));

//
// Class: IPv4Object
//

Dict::Add('FR FR', 'English', 'English', array(
	'Class:IPv4Object' => 'Objet IPv4',
	'Class:IPv4Object+' => '',
	'Class:IPv4Object/Attribute:rip' => 'IP non codée',
	'Class:IPv4Object/Attribute:rip+' => '',
	'Class:IPv4Object/Attribute:org_id' => 'Organisation',
	'Class:IPv4Object/Attribute:org_id+' => '',
	'Class:IPv4Object/Attribute:status' => 'Etat',
	'Class:IPv4Object/Attribute:status+' => '',
	'Class:IPv4Object/Attribute:status/Value:reserved' => 'Réservé',
	'Class:IPv4Object/Attribute:status/Value:reserved+' => '',
	'Class:IPv4Object/Attribute:status/Value:allocated' => 'Alloué',
	'Class:IPv4Object/Attribute:status/Value:allocated+' => '',
	'Class:IPv4Object/Attribute:status/Value:released' => 'Libéré',
	'Class:IPv4Object/Attribute:status/Value:released+' => '',
	'Class:IPv4Object/Attribute:comment' => 'Description',
	'Class:IPv4Object/Attribute:comment+' => '',
	'Class:IPv4Object/Attribute:requestor_id' => 'Demandeur',
	'Class:IPv4Object/Attribute:requestor_id+' => '',
));

//
// Class extensions for IPv4Object
//

Dict::Add('EN US', 'English', 'English', array(
	'Class:IPv4Object/Tab:contact_list' => 'Contacts',
	'Class:IPv4Object/Tab:contact_list+' => 'Contacts liés à l\'object IP',
	'Class:IPv4Object/Tab:document_list' => 'Documents',
	'Class:IPv4Object/Tab:document_list+' => 'Documents liés à l\'object IP',
));

//
// Class: IPv4Config
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Config' => 'Paramètres Globaux',
	'Class:IPv4Config+' => '',
	'Class:IPv4Config:baseinfo' => 'Informations Générales',
	'Class:IPv4Config:blockinfo' => 'Paramètres par défaut des Blocs de Sous-réseaux',
	'Class:IPv4Config:subnetinfo' => 'Paramètres par défaut des Sous-réseaux',
	'Class:IPv4Config:iprangeinfo' => 'Paramètres par défaut des Plages d\'IPs',
	'Class:IPv4Config:ipinfo' => 'Paramètres par défaut des IPs',
	'Class:IPv4Config/Attribute:org_id' => 'Organisation',
	'Class:IPv4Config/Attribute:org_id+' => '',
	'Class:IPv4Config/Attribute:name' => 'Nom',
	'Class:IPv4Config/Attribute:name+' => '',
	'Class:IPv4Config/Attribute:requestor_id' => 'Demandeur',
	'Class:IPv4Config/Attribute:requestor_id+' => '',
	'Class:IPv4Config/Attribute:block_min_size' => 'Taille Minimum des Blocs de Sous-réseaux',
	'Class:IPv4Config/Attribute:block_min_size+' => '',
	'Class:IPv4Config/Attribute:block_cidr_aligned' => 'Alignement des Blocs de Sous-réseaux sur les blocs CIDR',
	'Class:IPv4Config/Attribute:block_cidr_aligned+' => '',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_no' => 'Non',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_no+' => '',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_yes' => 'Oui',
	'Class:IPv4Config/Attribute:block_cidr_aligned/Value:bca_yes+' => '',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs' => 'Réserve les IPs de Sous-réseau et de Broadcast à la création',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs+' => '',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_no' => 'Non',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_no+' => '',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_yes' => 'Oui',
	'Class:IPv4Config/Attribute:reserve_subnet_IPs/Value:reserve_yes+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway' => 'L\'IP de la passerelle est...',
	'Class:IPv4Config/Attribute:subnet_gateway+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:undefined' => 'Indéfine',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:undefined+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_ip_plus_one' => 'L\'IP du Sous-réseau + 1',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_ip_plus_one+' => '',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_broadcast_minus_one' => 'L\'IP de broadcast - 1',
	'Class:IPv4Config/Attribute:subnet_gateway/Value:subnet_broadcast_minus_one+' => '',
	'Class:IPv4Config/Attribute:subnet_low_watermark' => 'Seuil Bas des Sous-réseaux (%)',
	'Class:IPv4Config/Attribute:subnet_low_watermark+' => '',
	'Class:IPv4Config/Attribute:subnet_high_watermark' => 'Seuil Haut des Sous-réseaux (%)',
	'Class:IPv4Config/Attribute:subnet_high_watermark+' => '',
	'Class:IPv4Config/Attribute:iprange_low_watermark' => 'Seuil Bas des Plages d\'IPs (%)',
	'Class:IPv4Config/Attribute:iprange_low_watermark+' => '',
	'Class:IPv4Config/Attribute:iprange_high_watermark' => 'Seuil Haut des Plages d\'IPs (%)',
	'Class:IPv4Config/Attribute:iprange_high_watermark+' => '',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name' => 'Autorise les noms dupliqués',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name+' => '',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_no' => 'Non',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_no+' => '',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_yes' => 'Oui',
	'Class:IPv4Config/Attribute:ip_allow_duplicate_name/Value:ipdup_yes+' => '',
	'Class:IPv4Config/Attribute:mac_address_format' => 'Format des adresses MAC',
	'Class:IPv4Config/Attribute:mac_address_format+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:colons' => '01:23:45:67:89:ab',
	'Class:IPv4Config/Attribute:mac_address_format/Value:colons+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:hyphens' => '01-23-45-67-89-ab',
	'Class:IPv4Config/Attribute:mac_address_format/Value:hyphens+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:dots' => '0123.4567.89ab',
	'Class:IPv4Config/Attribute:mac_address_format/Value:dots+' => '',
	'Class:IPv4Config/Attribute:mac_address_format/Value:any' => 'Tous',
	'Class:IPv4Config/Attribute:mac_address_format/Value:any+' => '',
	'Class:IPv4Config/Attribute:ping_before_assign' => 'Ping l\'IP avant de l\'assigner',
	'Class:IPv4Config/Attribute:ping_before_assign+' => '',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_no' => 'Non',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_no+' => '',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_yes' => 'Oui',
	'Class:IPv4Config/Attribute:ping_before_assign/Value:ping_yes+' => '',
	'Class:IPv4Config/Attribute:ping_server_id' => 'Serveur ou effectuer le ping',
	'Class:IPv4Config/Attribute:ping_server_id+' => '',
));

//
// Class: lnkBlockToLocation
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:lnkIPv4BlockToLocation' => 'Bloc de Sous-réseaux / Lieu',
	'Class:lnkIPv4BlockToLocation+' => '',
	'Class:lnkIPv4BlockToLocation/Attribute:block_id' => 'Bloc',
	'Class:lnkIPv4BlockToLocation/Attribute:block_id+' => '',
	'Class:lnkIPv4BlockToLocation/Attribute:location_id' => 'Lieu',
	'Class:lnkIPv4BlockToLocation/Attribute:location_id+' => '',
));

//
// Class: IPv4Block
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Block' => 'Bloc de Sous-réseaux',
	'Class:IPv4Block+' => '',
	'Class:IPv4Block/Attribute:name' => 'Nom',
	'Class:IPv4Block/Attribute:name+' => '',
	'Class:IPv4Block/Attribute:parent_id' => 'Parent',
	'Class:IPv4Block/Attribute:parent_id+' => '',
	'Class:IPv4Block/Attribute:firstip' => 'Première IP du Bloc',
	'Class:IPv4Block/Attribute:firstip+' => 'Première IP du Bloc de Sous-réseaux',
	'Class:IPv4Block/Attribute:lastip' => 'Dernière IP du Bloc',
	'Class:IPv4Block/Attribute:lastip+' => 'Dernière IP du Bloc de Sous-réseaux',
	'Class:IPv4Block/Attribute:type' => 'Type',
	'Class:IPv4Block/Attribute:type+' => 'Type du Bloc de Sous-réseaux',
	'Class:IPv4Block/Attribute:org_id' => 'Organisation',
	'Class:IPv4Block/Attribute:org_id+' => '',
	'Class:IPv4Block/Attribute:comment' => 'Description',
	'Class:IPv4Block/Attribute:comment+' => '',
	'Class:IPv4Block/Attribute:location_list' => 'Lieux',
	'Class:IPv4Block/Attribute:location_list+' => '',
	'Class:IPv4Block/Attribute:contact_list' => 'Contacts',
	'Class:IPv4Block/Attribute:contact_list+' => '',
	'Class:IPv4Block/Attribute:document_list' => 'Documents',
	'Class:IPv4Block/Attribute:document_list+' => '',
	'Class:IPv4Block/Attribute:requestor_id' => 'Demandeur',
	'Class:IPv4Block/Attribute:requestor_id+' => '',
	'Class:IPv4Block/Attribute:occupancy' => 'Espace Utilisé',
	'Class:IPv4Block/Attribute:occupancy+' => '',
	'Class:IPv4Block/Attribute:children_occupancy' => 'Espace Utilisé par les enfants',
	'Class:IPv4Block/Attribute:children_occupancy+' => '',
	'Class:IPv4Block/Attribute:subnet_occupancy' => 'Espace Utilisé par les Sous-Réseaux',
	'Class:IPv4Block/Attribute:subnet_occupancy+' => '',
));

//
// Class extensions for IPv4Block
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Block/Tab:globalparam' => 'Paramètres Globaux',
	'Class:IPv4Block/Tab:childblock' => 'Blocs enfants (%1$s)',
	'Class:IPv4Block/Tab:childblock+' => 'Blocs rattachés à ce bloc',
	'Class:IPv4Block/Tab:childblock-count' => 'Blocs enfants : %1$s',
	'Class:IPv4Block/Tab:childblock-count-percent' => ' espace utilisé par les Blocs enfants.',
	'Class:IPv4Block/Tab:childblock-count-percent-remain' => 'Espace utilisé par les Blocs enfants dans l\'espace restant: %1$.1f %%',
	'Class:IPv4Block/Tab:subnet' => 'Sous-réseaux (%1$s)',
	'Class:IPv4Block/Tab:subnet+' => 'Sous-réseaux rattachés à ce bloc',
	'Class:IPv4Block/Tab:subnet-count' => 'Sous-réseaux: %1$s',
	'Class:IPv4Block/Tab:subnet-count-percent' => ' espace utilisé par les Sous-réseaux',
	'Class:IPv4Block/Tab:subnet-count-percent-remain' => 'Espace utilisé par les Sous-réseaux dans l\'espace restant: %1$.1f %%',
));

//
// Class: lnkIPv4SubnetToLocation
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:lnkIPv4SubnetToLocation' => 'Sous-réseau / Lieu',
	'Class:lnkIPv4SubnetToLocation+' => '',
	'Class:lnkIPv4SubnetToLocation/Attribute:subnet_id' => 'Sous-réseau',
	'Class:lnkIPv4SubnetToLocation/Attribute:subnet_id+' => '',
	'Class:lnkIPv4SubnetToLocation/Attribute:location_id' => 'Lieu',
	'Class:lnkIPv4SubnetToLocation/Attribute:location_id+' => '',
));

//
// Class: IPv4Subnet
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Subnet' => 'Sous-réseau',
	'Class:IPv4Subnet+' => '',
	'Class:IPv4Subnet/Attribute:block_id' => 'Bloc de Sous-réseaux',
	'Class:IPv4Subnet/Attribute:block_id+' => '',
	'Class:IPv4Subnet/Attribute:rip' => 'IP de Sous-réseau non codée',
	'Class:IPv4Subnet/Attribute:rip+' => '',
	'Class:IPv4Subnet/Attribute:ip' => 'IP de Sous-réseau',
	'Class:IPv4Subnet/Attribute:ip+' => '',
	'Class:IPv4Subnet/Attribute:mask' => 'Masque',
	'Class:IPv4Subnet/Attribute:mask+' => '',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.0.0' => '255.255.0.0 - /16',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.128.0' => '255.255.128.0 - /17',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.192.0' => '255.255.192.0 - /18',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.224.0' => '255.255.224.0 - /19',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.240.0' => '255.255.240.0 - /20',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.248.0' => '255.255.248.0 - /21',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.252.0' => '255.255.252.0 - /22',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.254.0' => '255.255.254.0 - /23',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.0' => '255.255.255.0 - /24',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.128' => '255.255.255.128 - /25',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.192' => '255.255.255.192 - /26',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.224' => '255.255.255.224 - /27',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.240' => '255.255.255.240 - /28',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.248' => '255.255.255.248 - /29',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.252' => '255.255.255.252 - /30',
	'Class:IPv4Subnet/Attribute:mask/Value:255.255.255.254' => '255.255.255.254 - /31',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.0.0' => '/16',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.128.0' => '/17',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.192.0' => '/18',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.224.0' => '/19',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.240.0' => '/20',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.248.0' => '/21',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.252.0' => '/22',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.254.0' => '/23',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.0' => '/24',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.128' => '/25',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.192' => '/26',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.224' => '/27',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.240' => '/28',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.248' => '/29',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.252' => '/30',
	'Class:IPv4Subnet/Attribute:mask/Value_cidr:255.255.255.254' => '/31',
	'Class:IPv4Subnet/Attribute:status' => 'Etat',
	'Class:IPv4Subnet/Attribute:status+' => '',
	'Class:IPv4Subnet/Attribute:status/Value:reserved' => 'Réservé',
	'Class:IPv4Subnet/Attribute:status/Value:reserved+' => '',
	'Class:IPv4Subnet/Attribute:status/Value:allocated' => 'Alloué',
	'Class:IPv4Subnet/Attribute:status/Value:allocated+' => '',
	'Class:IPv4Subnet/Attribute:status/Value:released' => 'Libéré',
	'Class:IPv4Subnet/Attribute:status/Value:released+' => '',
	'Class:IPv4Subnet/Attribute:org_id' => 'Organisation',
	'Class:IPv4Subnet/Attribute:org_id+' => '',
	'Class:IPv4Subnet/Attribute:name' => 'Nom',
	'Class:IPv4Subnet/Attribute:name+' => '',
	'Class:IPv4Subnet/Attribute:type' => 'Type',
	'Class:IPv4Subnet/Attribute:type+' => '',
	'Class:IPv4Subnet/Attribute:comment' => 'Description',
	'Class:IPv4Subnet/Attribute:comment+' => '',
	'Class:IPv4Subnet/Attribute:location_list' => 'Lieu',
	'Class:IPv4Subnet/Attribute:location_list+' => '',
	'Class:IPv4Subnet/Attribute:contact_list' => 'Contacts',
	'Class:IPv4Subnet/Attribute:contact_list+' => '',
	'Class:IPv4Subnet/Attribute:document_list' => 'Documents',
	'Class:IPv4Subnet/Attribute:document_list+' => '',
	'Class:IPv4Subnet/Attribute:requestor_id' => 'Demandeur',
	'Class:IPv4Subnet/Attribute:requestor_id+' => '',
	'Class:IPv4Subnet/Attribute:release_date' => 'Date de libération',
	'Class:IPv4Subnet/Attribute:release_date+' => 'Date à laquelle le sous-réseau a été libérée et n\'est plus utilisé.',
	'Class:IPv4Subnet/Attribute:ip_occupancy' => 'IPs enregistrées',
	'Class:IPv4Subnet/Attribute:ip_occupancy+' => '',
	'Class:IPv4Subnet/Attribute:range_occupancy' => 'Plages d\'IPs enregistrées',
	'Class:IPv4Subnet/Attribute:range_occupancy+' => '',                         
	'Class:IPv4Subnet/Attribute:alarm_water_mark' => 'Etat de l\'alarme de seuil',
	'Class:IPv4Subnet/Attribute:alarm_water_mark+' => '',                              
	'Class:IPv4Subnet/Attribute:alarm_water_mark/Value:no_alarm' => 'Aucune alarme n\'a été envoyée',
	'Class:IPv4Subnet/Attribute:alarm_water_mark/Value:low_sent' => 'Une alarme de Seuil Bas a été envoyée',
	'Class:IPv4Subnet/Attribute:alarm_water_mark/Value:high_sent' => 'Une alarme de Seuil Haut a été envoyée',
));

//
// Class extensions for IPv4Subnet
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Subnet/Tab:globalparam' => 'Paramètres Globaux',
	'Class:IPv4Subnet/Tab:ipregistered' => 'IPs enregistrées (%1$s)',
	'Class:IPv4Subnet/Tab:ipregistered+' => 'IPs enregistrées dans le Sous-Réseau',
	'Class:IPv4Subnet/Tab:ipregistered-count' => ' - %1$s Réservées et %2$s Allouées dans %3$s',
	'Class:IPv4Subnet/Tab:ipfree-explain' => 'Liste des %1$s premières IPs libres :',
	'Class:IPv4Subnet/Tab:ipfree-explainbis' => 'Liste de TOUTES les IPs libres :',
	'Class:IPv4Subnet/Tab:iprange' => 'Plages d\'IPs (%1$s)',
	'Class:IPv4Subnet/Tab:iprange+' => 'Plages d\'IPs appartenant à un sous-réseau',
	'Class:IPv4Subnet/Tab:iprange-count-percent' => ' Espace utilisé par les Plages d\'IPs',
	'Class:IPv4Subnet/Tab:notifications' => 'Notifications (%1$s)',
	'Class:IPv4Subnet/Tab:notifications+' => 'Notifications associées à ce sous-réseau',
	'Class:IPv4Subnet/Tab:requests' => 'Demandes IP (%1$s)',
	'Class:IPv4Subnet/Tab:requests+' => 'Demandes IP liés à ce sous-réseau',
	'Class:IPv4Subnet/Tab:changes' => 'Changements IP (%1$s)',
	'Class:IPv4Subnet/Tab:changes+' => 'Changements IP liés à ce sous-réseau',
));

//
// Class: IPv4Range
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Range' => 'Plage d\'Adresses IP',
	'Class:IPv4Range+' => '',
	'Class:IPv4Range/Attribute:range' => 'Nom',
	'Class:IPv4Range/Attribute:range+' => '',
	'Class:IPv4Range/Attribute:subnet_id' => 'Sous-réseau',
	'Class:IPv4Range/Attribute:subnet_id+' => '',
	'Class:IPv4Range/Attribute:firstip' => 'Première IP de la Plage',
	'Class:IPv4Range/Attribute:firstip+' => '',
	'Class:IPv4Range/Attribute:lastip' => 'Dernière IP de la plage',
	'Class:IPv4Range/Attribute:lastip+' => '',
	'Class:IPv4Range/Attribute:usage' => 'Utilisation',
	'Class:IPv4Range/Attribute:usage+' => 'Utilisation faite de la Plage',
	'Class:IPv4Range/Attribute:usage/Value:mixed' => 'Divers',
	'Class:IPv4Range/Attribute:usage+/Value:mixed+' => '',
	'Class:IPv4Range/Attribute:usage/Value:network_equipts' => 'Equipements Réseau',
	'Class:IPv4Range/Attribute:usage+/Value:network_equipts+' => '',
	'Class:IPv4Range/Attribute:usage/Value:printers' => 'Imprimantes',
	'Class:IPv4Range/Attribute:usage+/Value:printers+' => '',
	'Class:IPv4Range/Attribute:usage/Value:consoles' => 'Consoles',
	'Class:IPv4Range/Attribute:usage+/Value:consoles+' => '',
	'Class:IPv4Range/Attribute:usage/Value:servers' => 'Serveurs',
	'Class:IPv4Range/Attribute:usage+/Value:servers+' => '',
	'Class:IPv4Range/Attribute:usage/Value:users' => 'PCs',
	'Class:IPv4Range/Attribute:usage+/Value:users+' => 'PCs et Stations de Travail',
	'Class:IPv4Range/Attribute:dhcp' => 'Plage DHCP',
	'Class:IPv4Range/Attribute:dhcp+' => '',
	'Class:IPv4Range/Attribute:org_id' => 'Organisation',
	'Class:IPv4Range/Attribute:org_id+' => '',
	'Class:IPv4Range/Attribute:comment' => 'Commentaire',
	'Class:IPv4Range/Attribute:comment+' => '',
	'Class:IPv4Range/Attribute:contact_list' => 'Contacts',
	'Class:IPv4Range/Attribute:contact_list+' => '',
	'Class:IPv4Range/Attribute:document_list' => 'Documents',
	'Class:IPv4Range/Attribute:document_list+' => '',
	'Class:IPv4Range/Attribute:requestor_id' => 'Demandeur',
	'Class:IPv4Range/Attribute:requestor_id+' => '',
	'Class:IPv4Range/Attribute:occupancy' => 'IPs enregistrées',
	'Class:IPv4Range/Attribute:occupancy+' => '',
));

//
// Class extensions for IPv4Range
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Range/Tab:ipregistered' => 'IPs enregistrées (%1$s)',
	'Class:IPv4Range/Tab:ipregistered+' => 'IPs enregistrées dans la Plage d\'IPs',
	'Class:IPv4Range/Tab:ipregistered-count' => ' - %1$s Réservées et %2$s Allouées dans %3$s',
	'Class:IPv4Range/Tab:ipfree-explain' => 'Liste des %1$s premières IPs libres :',
	'Class:IPv4Range/Tab:ipfree-explainbis' => 'Liste de TOUTES les IPs libres :',
	'Class:IPv4Range/Tab:notifications' => 'Notifications (%1$s)',
	'Class:IPv4Range/Tab:notifications+' => 'Notifications associées à cette plage d\'IPs',
));

//
// Class: lnkIPv4AdressToIPv4Address
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:lnkIPv4AdressToIPv4Address' => 'IP / IPs NATées',
	'Class:lnkIPv4AdressToIPv4Address+' => '',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_id' => 'Adresse IPv4',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_id+' => '',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_id' => 'IP NATée',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_id+' => '',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_short_name' => 'Nom court',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_short_name+' => 'Nom de gauche du FQDN',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_domain_name' => 'Nom de Domaine',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip1_domain_name+' => 'Nom du Domaine DNS',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_short_name' => 'Nom court',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_short_name+' => 'Nom de gauche du FQDN',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_domain_name' => 'Nom de Domaine',
	'Class:lnkIPv4AdressToIPv4Address/Attribute:ip2_domain_name+' => 'Nom du Domaine DNS',
));

//
// Class: IPv4UsageType
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Usage' => 'Types d\'utilisation d\'une adresse IP',
	'Class:IPv4Usage+' => 'Ce à quoi une adresse IP est utilisée',
	'Class:IPv4Usage/Attribute:org_id' => 'Organisation',
	'Class:IPv4Usage/Attribute:org_id+' => '',
	'Class:IPv4Usage/Attribute:name' => 'Nom',
	'Class:IPv4Usage/Attribute:name+' => '',
	'Class:IPv4Usage/Attribute:description' => 'Description',
	'Class:IPv4Usage/Attribute:description+' => '',
));

//
// Class: IPv4Address
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Address' => 'Adresse IP',
	'Class:IPv4Address+' => '',
	'Class:IPv4Address/Attribute:rip' => 'Adresse non codée',
	'Class:IPv4Address/Attribute:rip+' => 'Adresse IPv4 non codée',
	'Class:IPv4Address/Attribute:ip' => 'Adresse',
	'Class:IPv4Address/Attribute:ip+' => 'Adresse IPv4',
	'Class:IPv4Address/Attribute:subnet_id' => 'Sous-réseau',
	'Class:IPv4Address/Attribute:subnet_id+' => '',
	'Class:IPv4Address/Attribute:status' => 'Etat',
	'Class:IPv4Address/Attribute:status+' => '',
	'Class:IPv4Address/Attribute:status/Value:reserved' => 'Réservée',
	'Class:IPv4Address/Attribute:status/Value:reserved+' => '',
	'Class:IPv4Address/Attribute:status/Value:allocated' => 'Allouée',
	'Class:IPv4Address/Attribute:status/Value:allocated+' => '',
	'Class:IPv4Address/Attribute:status/Value:released' => 'Libérée',
	'Class:IPv4Address/Attribute:status/Value:released+' => '',
	//'Class:IPv4Address/Attribute:in_dns' => 'IP dans le DNS',
	//'Class:IPv4Address/Attribute:in_dns+' => 'Ajouter l\'IP dans les zones DBS forward et reverse associées',
	'Class:IPv4Address/Attribute:org_id' => 'Organisation',
	'Class:IPv4Address/Attribute:org_id+' => '',
	'Class:IPv4Address/Attribute:short_name' => 'Nom Court',
	'Class:IPv4Address/Attribute:short_name+' => 'Nom de gauche du FQDN',
	'Class:IPv4Address/Attribute:domain_name' => 'Nom de Domaine',
	'Class:IPv4Address/Attribute:domain_name+' => '',
	'Class:IPv4Address/Attribute:usage_id' => 'Utilisation',
	'Class:IPv4Address/Attribute:usage_id+' => '',
	'Class:IPv4Address/Attribute:ipinterface_id' => 'Interface IP',
	'Class:IPv4Address/Attribute:ipinterface_id+' => '',
	'Class:IPv4Address/Attribute:net_interface_id' => 'Interface Réseau',      
	'Class:IPv4Address/Attribute:net_interface_id+' => '',
	'Class:IPv4Address/Attribute:connectableci_id' => 'CI connectable',      
	'Class:IPv4Address/Attribute:connectableci_id+' => '',
	'Class:IPv4Address/Attribute:mac_address' => 'Adresse MAC',
	'Class:IPv4Address/Attribute:mac_address+' => '',
	'Class:IPv4Address/Attribute:comment' => 'Commentaire',
	'Class:IPv4Address/Attribute:comment+' => '',
	'Class:IPv4Address/Attribute:requestor_id' => 'Demandeur',
	'Class:IPv4Address/Attribute:requestor_id+' => '',
	'Class:IPv4Address/Attribute:release_date' => 'Date de libération',
	'Class:IPv4Address/Attribute:release_date+' => 'Date à laquelle l\'adresse a été libérée et n\'est plus utilisée.',
	'Class:IPv4Address/Attribute:ip_list' => 'IPs NATées',          
));

//
// Class extensions for IPv4Address
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPv4Address/Tab:globalparam' => 'Paramètres Globaux',
	'Class:IPv4Address/Tab:parents' => 'Parents',
	'Class:IPv4Address/Tab:ip_list' => 'IPs NATées (%1$s)',
	'Class:IPv4Address/Tab:ip_list+' => 'Liste des IPs NATées',
	'Class:IPv4Address/Tab:requests' => 'Demandes IP (%1$s)',
	'Class:IPv4Address/Tab:requests+' => 'Demandes IP liés à cette adresse IP',
	'Class:IPv4Address/Tab:changes' => 'Changements IP (%1$s)',
	'Class:IPv4Address/Tab:changes+' => 'Changements IP liés à cette adresse IP',
));

//
// Class: IPTriggerOnWaterMark
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Class:IPTriggerOnWaterMark' => 'Déclencheur lorsqu\'un seuil d\'IPs est atteint',
	'Class:IPTriggerOnWaterMark+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:org_id' => 'Organisation',
	'Class:IPTriggerOnWaterMark/Attribute:org_id+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:target_class' => 'Classe cible',
	'Class:IPTriggerOnWaterMark/Attribute:target_class+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:event' => 'Evènement',
	'Class:IPTriggerOnWaterMark/Attribute:event+' => 'Evènement généré lorsque le déclencheur est activé',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_low' => 'Le seuil bas est franchi',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_low+' => '',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_high' => 'Le seuil haut est franchi',
	'Class:IPTriggerOnWaterMark/Attribute:event/Value:cross_high+' => '',
));

//
// Class: IPObjTemplate
//

Dict::Add('FR FR', 'English', 'English', array(
	'Class:IPObjTemplate' => 'Formulaire IP',
	'Class:IPObjTemplate+' => '',
	'Class:IPObjTemplate/Attribute:servicesubcategory_id' => 'Elément de Service',
	'Class:IPObjTemplate/Attribute:servicesubcategory_id+' => '',
	'Class:IPObjTemplate/Attribute:request_type' => 'Type de requète',
	'Class:IPObjTemplate/Attribute:request_type+' => '',
	'Class:IPObjTemplate/Attribute:request_type/Value:ip_create' => 'Création d\'une IP',
	'Class:IPObjTemplate/Attribute:request_type/Value:ip_change' => 'Mise à jour d\'une IP',
	'Class:IPObjTemplate/Attribute:request_type/Value:ip_delete' => 'Libération d\'une IP',
	'Class:IPObjTemplate/Attribute:request_type/Value:subnet_create' => 'Creation d\'un Sous-réseau',
	'Class:IPObjTemplate/Attribute:request_type/Value:subnet_change' => 'Mise à jour d\'un Sous-réseau',
	'Class:IPObjTemplate/Attribute:request_type/Value:subnet_delete' => 'Libération d\'un Sous-réseau',
));

//
// Application Menu
//

Dict::Add('FR FR', 'French', 'Français', array(
	'Menu:IPManagement' => 'Gestion du parc d\'IPs',
	'Menu:IPManagement+' => '',
	'Menu:IPManagement:IPv4Objects' => 'Objets IPv4',
	'Menu:IPManagement:IPv4Options' => 'Options IPv4',
	'Menu:IPManagement:IPChange' => 'Changements IP',
	'Menu:IPManagement:IPChange+' => '',
	'Menu:IPManagement:IPv4Objects' => 'Objets IPv4',
	'Menu:IPManagement:IPv4Objects+' => '',
	'Menu:IPManagement:IPv4Space' => 'Espace IPv4',
	'Menu:IPManagement:IPv4Space+' => '',
	'Menu:IPManagement:Ipv4ShortCut' => 'Raccourcis IPv4',
	'Menu:IPManagement:Ipv4ShortCut+' => '',  
	'Menu:IPManagement:Options' => 'Options IPv4',
	'Menu:IPManagement:Options+' => '',  
	'Menu:IPManagement:Overview:Total' => 'Total: %1s',  
	'Menu:IPv4Config' => 'Paramètres Globaux',
	'Menu:IPv4Config+' => 'Paramètres Globaux IPv4',
	'Menu:NewIPv4Object' => 'Nouvel objet IP',
	'Menu:NewIPv4Object+' => 'Création d\'un nouvel objet IPv4',
	'Menu:SearchIPv4Object' => 'Recherche d\'un objet IP',
	'Menu:SearchIPv4Object+' => 'Recherche d\'un objet IPv4',
	'Menu:IPv4Block' => 'Blocs de Sous-réseaux',
	'Menu:IPv4Block+' => 'Blocs de Sous-réseaux IPv4',
	'Menu:IPv4Subnet' => 'Sous-réseaux',
	'Menu:IPv4Subnet+' => 'Sous-réseaux IPv4',
	'Menu:IPv4Subnet:Allocated' => 'Sous-réseaux alloués',
	'Menu:IPv4Subnet:Allocated+' => 'Liste des sous-réseaux IPv4 alloués',
	'Menu:IPv4Range' => 'Plages d\'Adresses IP',
	'Menu:IPv4Range+' => 'Plages d\'Adresses IPv4',
	'Menu:IPv4Usage' => 'Types d\'IPs',
	'Menu:IPv4Usage+' => 'Types d\'utilisation des adresses IPv4',
	'Menu:IPv4Address' => 'Adresses IP',
	'Menu:IPv4Address+' => 'Adresses IPv4',
	'Menu:IPv4Template' => 'Modèles',
	'Menu:IPv4Template+' => 'Modèles IPv4',
	
	'UI:IPMgmtWelcomeOverview:Title' => 'Mon tableau de bord',
	
	// Menu separator in Action menus
	'UI:IPManagement:Action:MenuSeparator' => '<hr class="menu-separator"/>',	

//
// Management of IPv4 global settings
//
	'UI:IPManagement:Action:New:IPv4Config:AlreadyExists' => 'Un seul ensemble de Paramètres Globaux peut exister par organisation !',	
	'UI:IPManagement:Action:Modify:IPv4Config:MinSizeTooSmall' => 'La taille minimum d\'un Bloc de Sous-réseaux ne peut être inférieure à %1$s!',
	'UI:IPManagement:Action:Modify:IPv4Config:WaterMarksPercent' => 'Les Seuils sont des pourcentages. Merci d\'utiliser des nombres entre 0 et 100 !',
	'UI:IPManagement:Action:Modify:IPv4Config:WaterMarksOrder' => 'Le Seuil Bas doit être inférieur au Seuil Haut !',

//
// Management of Subnet Blocks
//
	// Creation Management	
	'UI:IPManagement:Action:New:IPv4Block:Reverted' => 'La première IP du Bloc est plus grande que la dernière !',
	'UI:IPManagement:Action:New:IPv4Block:SmallerThanMinSize' => 'La taile d\'un Bloc ne peut être inférieure à %1$s !',	
	'UI:IPManagement:Action:New:IPv4Block:NotCIDRAligned' => 'Le Bloc n\'est pas aligné CIDR !',	
	'UI:IPManagement:Action:New:IPv4Block:NotInParent' => 'Le Bloc de Sous-réseaux n\'est pas strictement contenu dans le bloc parent sélectionné !',	
	'UI:IPManagement:Action:New:IPv4Block:NameExist' => 'Le nom du Bloc de Sous-réseaux existe déjà !',	
	'UI:IPManagement:Action:New:IPv4Block:Collision0' => 'Le Bloc de Sous-réseaux existe déjà !',	
	'UI:IPManagement:Action:New:IPv4Block:Collision1' => 'Collision : la première IP appartient à un bloc déjà existant !',	
	'UI:IPManagement:Action:New:IPv4Block:Collision2' => 'Collision : la dernière IP appartient à un bloc déjà existant !',	
	'UI:IPManagement:Action:Modify:IPv4Block:ParentIdNull' => 'Les Sous-réseaux du Bloc %1$s ne peuvent être attachés à un parent non existant !',	
	
	// Display details of subnet blocks
	'UI:IPManagement:Action:Details:IPv4Block' => 'Détails',
	'UI:IPManagement:Action:Details:IPv4Block+' => '',
	
	// Display list of subnet blocks
	'UI:IPManagement:Action:DisplayList:IPv4Block' => 'Afficher la Liste',
	'UI:IPManagement:Action:DisplayList:IPv4Block+' => '',
	'UI:IPManagement:Action:DisplayList:IPv4Block:PageTitle_Class' => 'Blocs de sous-réseaux IPv4',
	'UI:IPManagement:Action:DisplayList:IPv4Block:Title_Class' => 'Blocs de sous-réseaux IPv4',
	
	// Display tree of subnet blocks
	'UI:IPManagement:Action:DisplayTree:IPv4Block' => 'Afficher l\'Arbre',
	'UI:IPManagement:Action:DisplayTree:IPv4Block+' => '',
	'UI:IPManagement:Action:DisplayTree:IPv4Block:PageTitle_Class' => 'Blocs de sous-réseaux IPv4',
	'UI:IPManagement:Action:DisplayTree:IPv4Block:Title_Class' => 'Blocs de sous-réseaux IPv4',
	'UI:IPManagement:Action:DisplayTree:IPv4Block:OrgName' => 'Organisation %1$s',
	
	// Shrink action on subnet blocks
	'UI:IPManagement:Action:Shrink:IPv4Block' => 'Réduire',
	'UI:IPManagement:Action:Shrink:IPv4Block+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Block:Summary' => 'Résumé',
	'UI:IPManagement:Action:Shrink:IPv4Block:Summary+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Block:PageTitle_Object_Class' => 'TeemIp - Réduire %1$s - %2$s',
	'UI:IPManagement:Action:Shrink:IPv4Block:Title_Class_Object' => 'Réduire %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Shrink:IPv4Block:NewFirstIP' => 'Nouvelle première IP du Bloc :',
	'UI:IPManagement:Action:Shrink:IPv4Block:NewLastIP' => 'Nouvelle dernière IP du Bloc :',            
	'UI:IPManagement:Action:Shrink:IPv4Block:CannotBeShrunk' =>  'Le bloc ne peut être réduit: %1$s',
	'UI:IPManagement:Action:Shrink:IPv4Block:Reverted' =>  'La nouvelle première IP du Bloc est plus grande que la nouvelle dernière !',
	'UI:IPManagement:Action:Shrink:IPv4Block:IPOutOfBlock' => 'Les nouvelles IPs ne sont pas toutes dans le Bloc !',
	'UI:IPManagement:Action:Shrink:IPv4Block:NoChange' => 'Aucun changement n\'a été demandé !',
	'UI:IPManagement:Action:Shrink:IPv4Block:SmallerThanMinSize' => 'La taille du Bloc ne peut être plus petite que %1$s!',
	'UI:IPManagement:Action:Shrink:IPv4Block:NotCIDRAligned' => 'Le Bloc n\'est pas aligné CIDR !',
	'UI:IPManagement:Action:Shrink:IPv4Block:BlockAccrossBorder' => 'Un bloc fils est à cheval sur les nouvelles limites !',
	'UI:IPManagement:Action:Shrink:IPv4Block:SubnetAccrossBorder' => 'Un sous-réseau attaché au bloc est à cheval sur les nouvelles limites !',
	'UI:IPManagement:Action:Shrink:IPv4Block:SubnetBecomesOrhpean' => 'Des Sous-réseaux fils n\'auront plus de parent après la réduction !',	
	'UI:IPManagement:Action:Shrink:IPv4Block:Done' => '%1$s <span class="hilite">%2$s</span> a été réduit.',
	
	// Split action on subnet blocks
	'UI:IPManagement:Action:Split:IPv4Block' => 'Couper',
	'UI:IPManagement:Action:Split:IPv4Block+' => '',
	'UI:IPManagement:Action:Split:IPv4Block:Summary' => 'Résumé',
	'UI:IPManagement:Action:Split:IPv4Block:Summary+' => '',
	'UI:IPManagement:Action:Split:IPv4Block:PageTitle_Object_Class' => 'TeemIp - Couper %1$s - %2$s',
	'UI:IPManagement:Action:Split:IPv4Block:Title_Class_Object' => 'Couper %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Split:IPv4Block:At' => 'Première IP du nouveau Bloc de Sous-réseaux :',
	'UI:IPManagement:Action:Split:IPv4Block:NameNewBlock' => 'Nom du nouveau Bloc de Sous-réseaux :',
	'UI:IPManagement:Action:Split:IPv4Block:CannotBeSplit' =>  'Le Bloc ne peut être coupé: %1$s',
	'UI:IPManagement:Action:Split:IPv4Block:IPOutOfBlock' => 'L\'IP de coupure est en dehors du bloc !',
	'UI:IPManagement:Action:Split:IPv4Block:SmallerThanMinSize' => 'La taille du bloc ne peut être inférieure à %1$s!',
	'UI:IPManagement:Action:Split:IPv4Block:NotCIDRAligned' => 'Les blocs ne sont pas alignés sur des blocs CIDR !',	
	'UI:IPManagement:Action:Split:IPv4Block:BlockAccrossBorder' => 'Un bloc de sous-réseaux fils est à cheval sur la nouvelle frontière !',
	'UI:IPManagement:Action:Split:IPv4Block:SubnetAccrossBorder' => 'Un sous-réseau appartenant au bloc est à cheval sur la nouvelle frontière !',
	'UI:IPManagement:Action:Split:IPv4Block:EmptyNewName' => 'Le nom du nouveau Bloc de Sous-réseaux est vide !',
	'UI:IPManagement:Action:Split:IPv4Block:NameExist' => 'Le nom du nouveau Bloc de Sous-réseaux existe déjà !',
	'UI:IPManagement:Action:Split:IPv4Block:Done' => '%1$s: <span class="hilite">%2$s</span> a été coupé.',	
	
	// Expand action on subnet blocks
	'UI:IPManagement:Action:Expand:IPv4Block' => 'Etendre',
	'UI:IPManagement:Action:Expand:IPv4Block+' => '',
	'UI:IPManagement:Action:Expand:IPv4Block:Summary' => 'Résumé',
	'UI:IPManagement:Action:Expand:IPv4Block:Summary+' => '',
	'UI:IPManagement:Action:Expand:IPv4Block:PageTitle_Object_Class' => 'TeemIp - Etendre %1$s - %2$s',
	'UI:IPManagement:Action:Expand:IPv4Block:Title_Class_Object' => 'Etendre %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Expand:IPv4Block:NewFirstIP' => 'Nouvelle première IP du Bloc :',
	'UI:IPManagement:Action:Expand:IPv4Block:NewLastIP' => 'Nouvelle dernière IP du Bloc :',
	'UI:IPManagement:Action:Expand:IPv4Block:CannotBeExpanded' =>  'Le bloc ne peut être étendu: %1$s',
	'UI:IPManagement:Action:Expand:IPv4Block:Reverted' =>  'La nouvelle première IP du Bloc est plus grande que la nouvelle dernière !',
	'UI:IPManagement:Action:Expand:IPv4Block:IPOutOfBlock' => 'Les nouvelles IPs ne sont pas toutes en dehors du Bloc !',
	'UI:IPManagement:Action:Expand:IPv4Block:NoChange' => 'Aucun changement n\'a été demandé !',
	'UI:IPManagement:Action:Expand:IPv4Block:SmallerThanMinSize' => 'La taille du Bloc ne peut être plus petite que %1$s!',
	'UI:IPManagement:Action:Expand:IPv4Block:NotCIDRAligned' => 'Le Bloc n\'est pas aligné CIDR !',
	'UI:IPManagement:Action:Expand:IPv4Block:BlockBigerThanParent' => 'Le Bloc ne peut être plus grand que son parent !',
	'UI:IPManagement:Action:Expand:IPv4Block:BlockAccrossBorder' => 'Un bloc frère est à cheval sur les nouvelles limites !',
	'UI:IPManagement:Action:Expand:IPv4Block:SubnetAccrossBorder' => 'Un sous-réseau attaché au bloc parent est à cheval les nouvelles limites !',
	'UI:IPManagement:Action:Expand:IPv4Block:Done' => '%1$s <span class="hilite">%2$s</span> a été étendu.',
	
	// List space action on subnet blocks 
	'UI:IPManagement:Action:ListSpace:IPv4Block' => 'Lister l\'espace',                                               
	'UI:IPManagement:Action:ListSpace:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - Espace',
	'UI:IPManagement:Action:ListSpace:IPv4Block:Title_Class_Object' => 'Espace dans %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:ListSpace:IPv4Block:FreeSpace' => 'Libre [%1$s - %2$s] - %3$s IPs - %4$.2f %%',
	
	// Find Space action on subnet blocks
	'UI:IPManagement:Action:FindSpace:IPv4Block' => 'Rechercher de l\'espace',
	'UI:IPManagement:Action:FindSpace:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - Recherche d\'espace',
	'UI:IPManagement:Action:FindSpace:IPv4Block:Title_Class_Object' => 'Recherche d\'espace IP dans %1$s : <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:FindSpace:IPv4Block:SizeOfSpace' => 'Taille de l\'espace à rechercher :',
	'UI:IPManagement:Action:FindSpace:IPv4Block:MaxNumberOfOffer' => 'Nombre maximum d\'offres :',
	
	// Do find Space action on subnet blocks
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:PageTitle_Object_Class' => 'TeemIp - %1$s - Rechercher de l\'espace',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:Title_Class_Object' => 'Espace dans %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:Summary' => '%1$s premiers /%2$s dans le bloc',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:CreateAsBlock' => 'Créer en tant que bloc fils',
	'UI:IPManagement:Action:DoFindSpace:IPv4Block:CreateAsSubnet' => 'Créer en tant que sous-réseau',

//
// Management of Subnets
//
	// Creation Management	
	'UI:IPManagement:Action:New:IPv4Subnet:IpCannotChange' => 'L\'IP du Sous-réseau ne peut être modifiée !',	
	'UI:IPManagement:Action:New:IPv4Subnet:MaskCannotChange' => 'Le masque de Sous-réseau ne peut être modifié !',	
	'UI:IPManagement:Action:New:IPv4Subnet:IpIncorrect' => 'L\'IP du Sous-réseau n\'est pas cohérente avec le masque !',	
	'UI:IPManagement:Action:New:IPv4Subnet:NotInBlock' => 'Le Sous-réseau n\'est pas contenu dans le Bloc de Sous-réseaux !',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision0' => 'Le Sous-réseau existe déjà !',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision1' => 'Collision : l\'IP du Sous-réseau appartient à un Sous-réseau existant !',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision2' => 'Collision : l\'IP de Broadcast appartient à un Sous-réseau existant !',	
	'UI:IPManagement:Action:New:IPv4Subnet:Collision3' => 'Collision : le nouveau Sous-réseau contient un Sous-réseau existant !!',	
	
	// Display details of subnet
	'UI:IPManagement:Action:Details:IPv4Subnet' => 'Détails',
	'UI:IPManagement:Action:Details:IPv4Subnet+' => '',
	
	// Display list of subnets
	'UI:IPManagement:Action:DisplayList:IPv4Subnet' => 'Afficher la Liste',
	'UI:IPManagement:Action:DisplayList:IPv4Subnet+' => '',
	'UI:IPManagement:Action:DisplayList:IPv4Subnet:PageTitle_Class' => 'Sous-Réseaux IPv4',
	'UI:IPManagement:Action:DisplayList:IPv4Subnet:Title_Class' => 'Sous-Réseaux IPv4',
	
	// Display tree of subnets
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet' => 'Afficher l\'Arbre',
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet+' => '',
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet:PageTitle_Class' => 'Sous-Réseaux IPv4',
	'UI:IPManagement:Action:DisplayTree:IPv4Subnet:Title_Class' => 'Sous-Réseaux IPv4',
	
	// Shrink action on subnets
	'UI:IPManagement:Action:Shrink:IPv4Subnet' => 'Réduire',
	'UI:IPManagement:Action:Shrink:IPv4Subnet+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Summary' => 'Résumé',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Summary+' => '',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - Réduire %1$s - %2$s',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Title_Class_Object' => 'Réduire %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:CannotBeShrunk' =>  'Le Sous-réseau ne peut pas être réduit: %1$s',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:SizeTooSmall' => 'Le Sous-réseau est trop petit pour être réduit !',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:SizeTooSmallBy' => 'Le Sous-réseau est trop petit pour être réduit par %1$s !',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:IPRangeInTheMiddle' => 'La Plage d\'Ips : <b>%1$s [%2$s - %3$s]</b> est à cheval sur la frontière du nouveau Sous-réseau. La réduction ne peut avoir lieu !',	
	'UI:IPManagement:Action:Shrink:IPv4Subnet:IPRangeDropped' => 'Erreur: la Plage d\'Ips: <b>%1$s [%2$s - %3$s]</b> sort du Sous-réseau. La réduction ne peut avoir lieu !',	
	'UI:IPManagement:Action:Shrink:IPv4Subnet:Done' => '%1$s: <span class="hilite">%2$s</span> a été réduit par %3$s.',
	'UI:IPManagement:Action:Shrink:IPv4Subnet:By' => 'Réduire par :',
	
	// Split action on subnets
	'UI:IPManagement:Action:Split:IPv4Subnet' => 'Couper',
	'UI:IPManagement:Action:Split:IPv4Subnet+' => '',
	'UI:IPManagement:Action:Split:IPv4Subnet:Summary' => 'Résumé',
	'UI:IPManagement:Action:Split:IPv4Subnet:Summary+' => '',
	'UI:IPManagement:Action:Split:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - Couper %1$s - %2$s',
	'UI:IPManagement:Action:Split:IPv4Subnet:Title_Class_Object' => 'Couper %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Split:IPv4Subnet:CannotBeSplit' =>  'Le Sous-réseau ne peut pas être coupé: %1$s',
	'UI:IPManagement:Action:Split:IPv4Subnet:SizeTooSmall' => 'Le Sous-réseau est trop petit pour être coupé !',
	'UI:IPManagement:Action:Split:IPv4Subnet:SizeTooSmallBy' => 'Le Sous-réseau est trop petit pour être coupé en %1$s !',
	'UI:IPManagement:Action:Split:IPv4Subnet:IPRangeInTheMiddle' => 'La Plage d\'Ips : <b>%1$s [%2$s - %3$s]</b> est à cheval sur la frontière des nouveaux Sous-réseaux. La coupure ne peut avoir lieu !',	
	'UI:IPManagement:Action:Split:IPv4Subnet:Done' => '%1$s: <span class="hilite">%2$s</span> a été coupé en %3$s.',
	'UI:IPManagement:Action:Split:IPv4Subnet:In' => 'Couper en :',
	
	// Expand action on subnets
	'UI:IPManagement:Action:Expand:IPv4Subnet' => 'Etendre',
	'UI:IPManagement:Action:Expand:IPv4Subnet+' => '',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Summary' => 'Résumé',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Summary+' => '',
	'UI:IPManagement:Action:Expand:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - Etendre %1$s - %2$s',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Title_Class_Object' => 'Etendre %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:Expand:IPv4Subnet:CannotBeExpanded' =>  'Le Sous-réseau ne peut pas être étendu: %1$s',
	'UI:IPManagement:Action:Expand:IPv4Subnet:SizeTooBig' => 'Le Sous-réseau est trop grand pour être étendu !',
	'UI:IPManagement:Action:Expand:IPv4Subnet:SizeTooBigBy' => 'Le Sous-réseau est trop grand pour être étendu par %1$s !',
	'UI:IPManagement:Action:Expand:IPv4Subnet:NotInIPBlock' => 'Le bloc contenant le sous-réseau est trop petit pour contenir le nouveau sous-réseau étendu !',
	'UI:IPManagement:Action:Expand:IPv4Subnet:Done' => '%1$s: <span class="hilite">%2$s</span> a été étendu par %3$s',
	'UI:IPManagement:Action:Expand:IPv4Subnet:By' => 'Etendre par :',
	
	// List IPs action on subnets 
	'UI:IPManagement:Action:ListIps:IPv4Subnet' => 'Lister IPs',                                               
	'UI:IPManagement:Action:ListIps:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - IPs',
	'UI:IPManagement:Action:ListIps:IPv4Subnet:Title_Class_Object' => 'IPs contenues dans le %1$s: <span class="hilite">%2$s</span>',
	
	// Find space action on subnets 
	'UI:IPManagement:Action:FindSpace:IPv4Subnet' => 'Recherche d\'Espace',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - Recherche d\'espace',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:Title_Class_Object' => 'Recherche d\'espace IP dans %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:SizeTooSmall' => 'Le Sous-Réseau est trop petit pour y rechercher un espace !',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:SizeOfRange' => 'Taille de l\'espace à rechercher :',
	'UI:IPManagement:Action:FindSpace:IPv4Subnet:MaxNumberOfOffer' => 'Nombre maximum d\'offres :',
	
	// Do find Space action on subnet
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - Recherche d\'espace',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:Title_Class_Object' => 'Espace dans %1$s: <span class="hilite">%2$s</span>',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:Summary' => '%1$s premières %2$s Plages d\'IPs libres dans le sous-réseau',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:RangeTooBig' => 'L\'espace demandé ne tient pas dans le sous-réseau. Veuillez choisir une taille plus petite.',
	'UI:IPManagement:Action:DoFindSpace:IPv4Subnet:CreateAsRange' => 'Créer en tant que Plage d\'IPs',
	
	// CSV Export Action on subnets
	'UI:IPManagement:Action:CsvExportIps:Subnet' => 'Export CSV des IPs',
	'UI:IPManagement:Action:CsvExportIps:Subnet:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s Export CSV des IPs',
	'UI:IPManagement:Action:CsvExportIps:Subnet:Title_Class_Object' => 'Export CSV des IPs pour %1$s: <span class="hilite">%2$s</span>',

//
// Management of IP ranges
//
	// Creation Management	
	'UI:IPManagement:Action:New:Range:NameExist' => 'Le nom de la Plage existe déjà dans le Sous-réseau !',	
	'UI:IPManagement:Action:New:Range:Reverted' => 'La première IP de la Plage est plus grande que la dernière !',	
	'UI:IPManagement:Action:New:Range:NotInSubnet' => 'La Plage d\'IPs n\'est pas contenue dans le Sous-réseau sélectionné !',	
	'UI:IPManagement:Action:New:Range:Collision0' => 'La Plage d\'IPs existe déjà !',	
	'UI:IPManagement:Action:New:Range:Collision1' => 'Collision : la première IP appartient à une plage existante !',	
	'UI:IPManagement:Action:New:Range:Collision2' => 'Collision : la dernière IP appartient à une plage existante !',	
	'UI:IPManagement:Action:New:Range:Collision3' => 'Collision : la nouvelle plage inclut une plage existante !',	

	// Display details of IP Range
	'UI:IPManagement:Action:Details:IPv4Range' => 'Détails',
	'UI:IPManagement:Action:Details:IPv4Range+' => '',

	// List IPs action on IP Ranges 
	'UI:IPManagement:Action:ListIps:IPv4Range' => 'Lister IPs',                                               
	'UI:IPManagement:Action:ListIps:IPv4Range:PageTitle_Object_Class' => 'TeemIp - %1$s - IPs',
	'UI:IPManagement:Action:ListIps:IPv4Range:Title_Class_Object' => 'IPs contenues dans %1$s: <span class="hilite">%2$s</span>',
	
	// CSV Export Action on IP Ranges
	'UI:IPManagement:Action:CsvExportIps:Range' => 'Export CSV des IPs',
	'UI:IPManagement:Action:CsvExportIps:Range:PageTitle_Object_Class' => 'TeemIp - %1$s - %2$s export CSV des IPs',
	'UI:IPManagement:Action:CsvExportIps:Range:Title_Class_Object' => 'Export CSV des IPs pour %1$s: <span class="hilite">%2$s</span>',

//
// Management of IPs
//
	// Creation Management	
	'UI:IPManagement:Action:Change:GlobalConfig' => 'Ces Paramètres Globaux peuvent être modifiés pour cette action.',	
	'UI:IPManagement:Action:New:IPCollision' => 'L\'adresse IP existe déjà !',	
	'UI:IPManagement:Action:New:IPNameCollision' => 'Le nom court existe déjà dans le domaine !',	
	'UI:IPManagement:Action:New:IPv4Address:IPPings' => 'L\'IP répond au ping ! ',	
	'UI:IPManagement:Action:New:IPv4Address:NatIPsAretheSame' => 'L\'IP ne peut être NATée avec elle même ! ',	     

));

?>